% Set load paths
%-----------------------------------------------
path2functions = 'C:\Stuart\EDSTRACT\MatlabEdstract\Functions_matlabchanged\functions\';
addpath(path2functions);
% path2dat = 'C:\Stuart\EDSTRACT\MatlabEdstract\Functions_matlabchanged\mat_data\';
% addpath(path2dat);
%-----------------------------------------------
sConstants;
sExperimentalInfo;
%-----------------------------------------------
Img = fOpenSSED('81_ccl4.raw');
load  Wts         % Mask contained in mat_data
WtsOld = Wts;
Wts = fMaskCorrector(Wts,Img);
%----------------------------------------------------
useBG = 1;
if useBG,
    BG = fOpenSSED('Im80_BG.raw');
end
%---------------------------------------------------
useArgon = 1;
if useArgon,
  Ar=fOpenSSED('83_Ar.raw');
  if useBG,
    Ar = Ar - BG;
    Img = Img - BG;
  end
  Img2=Img./Ar;
else
  load FilterAv
  Img2 = Img.*FilterAv;
end
%-----------------------------------------------------
%---Centring---------
%xCen = input('enter approximate x-coord of centre: ')
%yCen = input('enter approximate y-coord of centre: ')
%Cen = [yCen xCen];
%-----------------------------------------------------
Cen=[501 513];
Cen = fCentreMs_X(Img,Wts,Cen,140,350,9,9);
Cen = fCentreMs_Y(Img,Wts,Cen,140,350,9,9);
disp('Diffraction centre after 1st refinement');
fliplr(Cen)
Cen = fCentreMs_X(Img,Wts,Cen,140,350,9,9);
Cen = fCentreMs_Y(Img,Wts,Cen,140,350,9,9);
disp('Diffraction centre after 2nd refinement');
fliplr(Cen)
Cen = fCentreMs_X(Img,Wts,Cen,140,350,9,9);
Cen = fCentreMs_Y(Img,Wts,Cen,140,350,9,9);
disp('Diffraction centre after 3rd refinement');
fliplr(Cen)
%---------------------------------------------------
% Data Extraction
%---------------------------------------------------
nfract = input('Enter the number of segments: ');
disp('this may take a few minutes...');
%--------------------------------------------------
for aa = 1:nfract
  amin=2*pi*(aa-1)/nfract;
  amax = 2*pi*aa/nfract;
  IvsS = fExtract2CellArr_2(Img2,Wts,Cen,amin,amax,0);
  [Itot{aa}, Wts] = fExtract2Itot(IvsS,Wts);
%  plot(sRange,Itot{aa}(:,1));
  hold on
end
hold off
sRangT = sRange';
%------------------------------------------------------
%Multply data by theoretical Ar scattering. (Only works for ds = 0.2 for now)
multiplyByAr = 1;
if multiplyByAr,
  addpath('C:\Stuart\EDSTRACT\MatlabEdstract\Functions_matlabchanged\scatteringFactors\');
  load ScatF_Ar_35kV.txt;
  sFAr = ScatF_Ar_35kV(:,1);
  toUse = find((sFAr>=(sMin-0.00001)) & (sFAr<=(sMax+0.00001)));
  Iargon = 18 - ScatF_Ar_35kV(toUse,2);
  for aa=1:nfract
    Is4(:,aa)=Iargon.*Itot{aa}(:,1);
  end
else
  for aa=1:nfract
    Is4(:,aa)=Itot{aa}(:,1);
  end
end
plot(sRange,Is4);
%Is4_1 = Itot{1}(:,1);
%Is4_2 = Itot{2}(:,1);
%Is4_3 = Itot{3}(:,1);
%Is4_4 = Itot{4}(:,1);
save -ascii intensities.curv.out Is4;
save -ascii s.txt.out sRangT;
print -djpeg intensities.jpg.out;
save Wts.mat.out Wts;
save WtsOld.mat.out WtsOld;
