function Centre = fCentreMs_Y_stingray(IMGt,WGTt,CenAprx,rMin,rMax,Band,xCenEr)
  CenAprx = fliplr(CenAprx);
IMG = IMGt';
WGT = WGTt';
Xa = round(CenAprx(2));
Ya = round(CenAprx(1));
IM = IMG.*WGT;
radRange = rMin:rMax;
nPoints = rMax-rMin+1;
rangeR = radRange;
rangeL = radRange;
rangeT = radRange;
rangeB = radRange;
ItR = zeros(1,(rMax+1-rMin));
ItL = zeros(1,(rMax+1-rMin));
ItT = zeros(1,(rMax+1-rMin));
ItB = zeros(1,(rMax+1-rMin));
Count = zeros(1,(rMax+1-rMin));
strt = (1-Band)/2;
stp = (Band-1)/2;
%
% Calculate molecular intensities for RHS
for indx = strt:stp
  ItR = ItR + IM(Ya+indx,(radRange+Xa));
  Count = Count + WGT(Ya+indx,(radRange+Xa));
end
badPoints = find(Count==0);
ItR2 = ItR;
ItR2(badPoints)=[];
rangeR(badPoints)=[];
Count2 = Count;
Count(badPoints)=1.0;
Count2(badPoints)=[];
IR = ItR./Count;
IR2 = ItR2./Count2;
BGPolyR = polyfit(rangeR,IR2,2);
BgR = polyval(BGPolyR,radRange);
MsR = IR./BgR;
%
% repeat for LHS
Count = zeros(1,(rMax+1-rMin));
for indx = strt:stp
  ItL = ItL + IM(Ya+indx,(Xa-radRange));
  Count = Count + WGT(Ya+indx,(Xa-radRange));
end
badPoints = find(Count==0);
ItL2 = ItL;
ItL2(badPoints)=[];
rangeL(badPoints)=[];
Count2 = Count;
Count(badPoints)=1.0;
Count2(badPoints)=[];
IL = ItL./Count;
IL2 = ItL2./Count2;
BGPolyL = polyfit(rangeL,IL2,2);
BgL = polyval(BGPolyL,radRange);
MsL = IL./BgL;
%
% Calculate cross correlation vector, vCorrLR, 
%   and mean square differences, vSqrDf
xSpace = -xCenEr:xCenEr;
xrange = 1+2*xCenEr;
vCorrLR = zeros(1,xrange);
for indx = 1:xrange
	   indxL = xrange+1-indx;
	   indxR = indx;
	   LHS = MsL(indxL:(nPoints-indxR));
	   RHS = MsR(indxR:(nPoints-indxL));
           vCor(indx,:) = LHS.*RHS;
           vGood = (vCor(indx,:) ~= 0.0);
           nGood = sum(vGood);
           vCorrLR(indx)=sum(vCor(indx,:))/nGood;
           vSqDiff(indx,:) = vGood.*((LHS-RHS).^2);
           vSqrDf(indx) = sum(vSqDiff(indx,:))/nGood;
end
%plot(xSpace,vSqrDf);
P = polyfit(xSpace,vSqrDf,3);
dP = polyder(P);
ddP = polyder(dP);
statP = roots(dP);
Xb = statP(polyval(ddP,statP) > 0);
Centre(1) = CenAprx(1);
Centre(2) = Xa + Xb;
Centre = fliplr(Centre);
% MsR += 0.1;
% plot(vSqDiff');

% plot(radRange,[MsL' MsR']);
return
