% Set load paths
%-----------------------------------------------
path2functions = 'C:\Stuart\EDSTRACT\STINGRAYEDSTRACT\functions\';
addpath(path2functions);
path2dat = 'C:\Stuart\EDSTRACT\STINGRAYEDSTRACT\mat_data\';
addpath(path2dat);
%-----------------------------------------------
sConstants;
sExperimentalInfo;
%-----------------------------------------------
%Img = fOpenSSED('Platnium_67sExp_282SHG_OffBeamStop.bmp');
Red=imread('67s_35kV_1uA_DMABN_3','bmp');
Img = rgb2gray(Red);
Img=im2double(Img);
%Imgweird = Img .* Wts_uint8;
%imwrite(Imgweird,'masked','JPEG')
load Wts_stingray_DAWbeamstop_150615;   % Mask contained in mat_data
%Wts = ones(1038,1388);
%Wts = Wts_210515_02;
WtsOld = Wts;
Wts = fMaskCorrector(Wts,Img);
%imshow(Img)
%----------------------------------------------------
useBG = 1;
if useBG,
  Blue=imread('67s_35kV_1uA_BGforDMABN_1','bmp');
  BG = rgb2gray(Blue);
  BG=im2double(BG);
%    BG = fOpenSSED('20s EXP 35kV Full Beam BZ Background.bmp');
end
%---------------------------------------------------
useArgon = 1;
if useArgon,
  Green=imread('67s_35kV_0.5uA_AR_2','bmp');
  Ar = rgb2gray(Green);
  Ar=im2double(Ar);
     %Ar=fOpenSSED('Dark Sample5 4_0s.img');
  pink=imread('67s_35kV_0.5uA_BGforAR_1','bmp');
  ArBG = rgb2gray(pink);
  ArBG=im2double(ArBG);   
     
  if useBG,
    Ar = Ar - ArBG;
    Img = Img - BG;
  end
  Img2=(Img+0.00000001)./(Ar+0.00000001);
else
Img2 = Img;    
%  load FilterAv
%  Img2 = Img.*FilterAv;
%Img2 = Img - BG;
end

%

%-----------------------------------------------------
%---Centring---------
%xCen = input('enter approximate x-coord of centre: ')
%yCen = input('enter approximate y-coord of centre: ')
%Cen = [yCen xCen];
%-----------------------------------------------------
%Centring seems to work for Stingray camera. Take bitmap images and stack
%using pedro's code(also takes background out). Then read in .tif file made
%from stacked images. 

Cen=[530 717];
        Cen = fCentreMs_X_stingray(Img,Wts,Cen,150,300,9,9);
        Cen = fCentreMs_Y_stingray(Img,Wts,Cen,150,300,9,9);
        disp('Diffraction centre after 1st refinement');
        fliplr(Cen)
        Cen = fCentreMs_X_stingray(Img,Wts,Cen,150,300,9,9);
        Cen = fCentreMs_Y_stingray(Img,Wts,Cen,150,300,9,9);
        disp('Diffraction centre after 2nd refinement');
        fliplr(Cen)
%   Cen = fCentreMs_X(Img,Wts,Cen,320,500,9,9);
%   Cen = fCentreMs_Y(Img,Wts,Cen,320,500,9,9);
%   disp('Diffraction centre after 3rd refinement');
%   fliplr(Cen)
%---------------------------------------------------
% Data Extraction
%---------------------------------------------------
nfract = 4;
%nfract = input('Enter the number of segments: ');
disp('this may take a few minutes...');
%--------------------------------------------------
for aa = 1:nfract
  amin=2*pi*(aa-1)/nfract;
  amax = 2*pi*aa/nfract;
  IvsS = fExtract2CellArr_2(Img2,Wts,Cen,amin,amax,0);
  [Itot{aa}, Wts] = fExtract2Itot(IvsS,Wts);
  plot(sRange,Itot{aa}(:,1));
  hold on
end
hold off
sRangT = sRange';
%------------------------------------------------------
%Multply data by theoretical Ar scattering. (Only works for ds = 0.2 for now)
multiplyByAr = 1;
if multiplyByAr,
  addpath('C:\Stuart\EDSTRACT\STINGRAYEDSTRACT\scatteringFactors\');
  load ScatF_Ar_35kV.txt;
  sFAr = ScatF_Ar_35kV(:,1);
  toUse = find((sFAr>=(sMin-0.00001)) & (sFAr<=(sMax+0.00001)));
  Iargon = 18 - ScatF_Ar_35kV(toUse,2);
  for aa=1:nfract
    Is4(:,aa)=Iargon.*Itot{aa}(:,1);
  end
else
  for aa=1:nfract
    Is4(:,aa)=Itot{aa}(:,1);
  end
end
plot(sRange,Is4);
%Ibottom = Is4(:,2)+Is4(:,3);
%figure; plot(sRange,Ibottom)
%Is4_1 = Itot{1}(:,1);
%Is4_2 = Itot{2}(:,1);
%Is4_3 = Itot{3}(:,1);
%Is4_4 = Itot{4}(:,1);
save -ascii intensities.curv.out Is4;
save -ascii s.txt.out sRangT;
print -djpeg intensities.jpg.out;
save Wts.mat.out Wts;
save WtsOld.mat.out WtsOld;
%Is4_av = mean(Is4,2);
