	PROGRAM TFSC_test
	IMPLICIT REAL*8(a-h,o-z)

	PARAMETER(nAtom=287,nIPar=100,nDist=1)

	DIMENSION x(nAtom),y(nAtom),z(nAtom)
	DIMENSION par(nIPar)
	DIMENSION uVal(nDist),rMult(nDist),ampDist(nDist)

c	parameter values 1-14 taken as average of calcs for dominant conformer
	par(1)=1.894025		!!from simultaneous eqn (ravg) 
	par(2)=0.02175		!!from simultaneous eqn 
	par(3)=1.676		!!
	par(4)=1.101		!!
	par(5)=110.62		!!
	par(6)=114.46		!!
	par(7)=109.96		!!
	par(8)=104.71		!!
	par(9)=106.21		!!
	par(10)=109.47		!!
	par(11)=170.87		!
	par(12)=175.49		!
	par(13)=83.24	!good
	par(14)=-167.24	!good
	par(15)=-152.43	!good
      par(16)=-39.37	!good

	par(17)=85.75	!good
	par(18)=-40.17	!good
	par(19)=-166.07	!good
	par(20)=71.89	!good

	par(21)=79.79	!good
	par(22)=-163.79	!good

	par(23)=85.69	!good
	par(24)=-41.26	!good

	par(25)=77.27	!good	
	par(26)=73.41	!good

	par(27)=81.65	!good
	par(28)=-170.74	!good
	par(29)=80.32	!good
	par(30)=-36.80	!good

	par(31)=80.58	!good
	par(32)=-161.73	!good
	par(33)=-157.46	!good
	par(34)=71.44	!good

	CALL coord(nAtom,nIPar,nDist,x,y,z,par,uVal,rMult,ampDist)
	STOP
	END

c     Model for tetrakis(Fluorodimethylsilyl)methane - multiconformer

	SUBROUTINE coord(nAtom,nIPar,nDist,x,y,z,par,uVal,rMult,ampDist)
	IMPLICIT REAL*8(a-h,o-z)

c	Dummy arrays
	DIMENSION x(nAtom),y(nAtom),z(nAtom)
	DIMENSION xa(nAtom),ya(nAtom),za(nAtom)
	DIMENSION par(nIPar),pp(50)
	DIMENSION uVal(nDist),rMult(nDist),ampDist(nDist)

c	Local arrays
	CHARACTER*2 attype(nAtom),attypea(nAtom)
	integer qq(nAtom)
	DIMENSION p(100)

c	Data statements
	attype = (/'C','H','H','H','C','H','H','H','Si','F','C','C','H',
     +'H','H','C','H','H','H','Si','F','C','H','H','H','C','H','H','H',
     +'Si','F','C','H','H','H','C','H','H','H','Si','F','C','H','H',
     +'H','C','H','H','H','Si','F','C','C','H','H','H','C','H','H','H',
     +'Si','F','C','H','H','H','C','H','H','H','Si','F','C','H','H',
     +'H','C','H','H','H','Si','F',
     +'C','H','H','H','C','H','H','H','Si','F','C','C','H',
     +'H','H','C','H','H','H','Si','F','C','H','H','H','C','H','H','H',
     +'Si','F','C','H','H','H','C','H','H','H','Si','F','C','H','H',
     +'H','C','H','H','H','Si','F','C','C','H','H','H','C','H','H','H',
     +'Si','F','C','H','H','H','C','H','H','H','Si','F','C','H','H',
     +'H','C','H','H','H','Si','F',
     +'C','H','H','H','C','H','H','H','Si','F','C','C','H',
     +'H','H','C','H','H','H','Si','F','C','H','H','H','C','H','H','H',
     +'Si','F','C','H','H','H','C','H','H','H','Si','F','C','H','H',
     +'H','C','H','H','H','Si','F','C','C','H','H','H','C','H','H','H',
     +'Si','F','C','H','H','H','C','H','H','H','Si','F','C','H','H',
     +'H','C','H','H','H','Si','F','C','H','H','H','C','H','H','H','Si',
     +'F','C','C','H','H','H','C','H','H','H','Si','F','C','H','H','H',
     +'C','H','H','H','Si','F','C','H','H','H','C','H','H','H','Si',
     +'F'/)


c      qq=(/12,38,36,37,13,41,39,40,2,14,1,8,25,26,24,9,27,28,29,3,16,
c     +11,34,35,33,10,30,31,32,4,15,7,21,22,23,6,19,20,18,5,17,53,
c     +79,77,78,54,82,80,81,43,55,42,49,66,67,65,50,68,69,70,44,57,52,
c     +75,76,74,51,71,72,73,45,56,48,62,63,64,47,60,61,59,46,58,94,120,
c     +118,119,95,123,121,122,84,96,83,90,107,108,106,91,109,110,111,85,
c     +98,93,116,117,115,92,112,113,114,86,97,89,103,104,105,88,101,102,
c     +100,87,99,135,161,159,160,136,164,162,163,125,137,124,131,148,149,
c     +147,132,150,151,152,126,139,134,157,158,156,133,153,154,155,127,
c     +138,130,144,145,146,129,142,143,141,128,140,176,202,200,201,177,
c     +205,203,204,166,178,165,172,189,190,188,173,191,192,193,167,180,
c     +175,198,199,197,174,194,195,196,168,179,171,185,186,187,170,183,
c     +184,182,169,181,217,243,241,242,218,246,244,245,207,219,206,213,
c     +230,231,229,214,232,233,234,208,221,216,239,240,238,215,235,236,
c     +237,209,220,212,226,227,228,211,224,225,223,210,222,258,284,282,
c     +283,259,287,285,286,248,260,247,254,271,272,270,255,273,274,275,
c     +249,262,257,280,281,279,256,276,277,278,250,261,253,267,268,269,
c     +252,265,266,264,251,263





      qq=(/1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,
     +22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,
     +43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,
     +64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,
     +85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,
     +105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,
     +121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,
     +137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,
     +153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,
     +169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,
     +185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,
     +201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,
     +217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,
     +233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,
     +249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,
     +265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,
     +281,282,283,284,285,286,287/)
     
	pi=dacos(-1.0d0)
      rad=pi/180.0d0

c	Parameters for use in model

	rCSi1=par(1)-(2*par(2)/2)	! methyl carbon to silicon
	rCSi2=par(1)+(par(2)/3)		! central carbon to silicon
	rSiF=par(3)				! silicon fluorine distance
	rCH=par(4)				! carbon hydrogen distance
	aSiCH=par(5)*rad		! silicon methyl carbon to hydrogen angle
	aCSiC1=par(6)*rad		! central c si to methyl c angle
	aCSiC2=par(7)*rad		! methyl c si to methyl c angle
	aCSiF1=par(8)*rad		! central c si F
	aCSiF2=par(9)*rad		! methyl c si F
	aSiCSi=par(10)*rad		! si central c si
	dH1CSiF=par(11)*rad	! end on view(SiC2H6F), d left methyl H to F
	dH2CSiF=par(12)*rad	! end on view(SiC2H6F), d right methyl H to F
	dFSiCSi1=par(13)*rad	! Conf 1
      dFSiCSi2=par(14)*rad	! Conf 1
	dFSiCSi3=par(15)*rad	! Conf 1
	dFSiCSi4=par(16)*rad	! Conf 1
	dFSiCSi5=par(17)*rad	! Conf 2
	dFSiCSi6=par(18)*rad	! Conf 2
	dFSiCSi7=par(19)*rad	! Conf 2
	dFSiCSi8=par(20)*rad	! Conf 2
	dFSiCSi9=par(21)*rad	! Conf 3
	dFSiCSi10=par(22)*rad	! Conf 3
	dFSiCSi11=par(23)*rad	! Conf 4
	dFSiCSi12=par(24)*rad	! Conf 4
	dFSiCSi13=par(25)*rad	! Conf 5
	dFSiCSi14=par(26)*rad	! Conf 5
	dFSiCSi15=par(27)*rad	! Conf 6
	dFSiCSi16=par(28)*rad	! Conf 6
	dFSiCSi17=par(29)*rad	! Conf 6
	dFSiCSi18=par(30)*rad	! Conf 6
	dFSiCSi19=par(31)*rad	! Conf 7
	dFSiCSi20=par(32)*rad	! Conf 7
	dFSiCSi21=par(33)*rad	! Conf 7
	dFSiCSi22=par(34)*rad	! Conf 7

c	******************************
c	Start of model
c	First conformer Conformer (65) C1sym
c	******************************
c     Start of branch 1
      do i=1,41
	X(i)=0.0
	Y(i)=0.0
	Z(i)=0.0
	enddo
     
c     Define first SiMe2F group
c     Set C(1) at the origin
      X(1)=0.0
      Y(1)=0.0
      Z(1)=0.0

c     Set H(2) in x-y plane
      X(2)=rCH*dcos(aSiCH)
      Y(2)=rCH*dsin(aSiCH)
      Z(2)=0.0
      
c     generate Me group around C(1)
      Do i=1,2
      X(2+i)=X(2)
      Y(2+i)=Y(2)*dcos(120.*i*rad)-Z(2)*dsin(120.*i*rad)
      Z(2+i)=Y(2)*dsin(120.*i*rad)+Z(2)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(4+i)=X(i)
      Y(4+i)=Y(i)
      Z(4+i)=Z(i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=1,4
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=5,8
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(9) to origin
      X(9)=0.0
      Y(9)=0.0
      Z(9)=0.0
      
c     Move 1st Me group away from Si(9)
      Do i=1,4
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(9)
      Do i=5,8
      X(i)=X(i)-rCSi1
      enddo

c     Set F(10) in x-y plane
      X(10)=rSiF*dcos(aCSiF1-0.04*rad)
      Y(10)=rSiF*dsin(aCSiF1-0.04*rad)
      Z(10)=0.0
  
c     Bend methyl group 1 into position
      Do i=1,4
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=5,8
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(9)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=1,4
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=5,8
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(11)
      X(11)=0.0
      Y(11)=0.0
      Z(11)=0.0

      Do i=1,10
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 1 and branch 2.
	Do i=1,10
	A=Y(i)
	Y(i)=A*dcos(dFSiCSi1)-Z(i)*dsin(dFSiCSi1)
	Z(i)=-(A*dsin(dFSiCSi1)+Z(i)*dcos(dFSiCSi1))
	enddo



c     Start of branch 2
c     Define first SiMe2F group
c     Set C(12) at the origin
      X(12)=0.0
      Y(12)=0.0
      Z(12)=0.0

c     Set H(13) in x-y plane
      X(13)=rCH*dcos(aSiCH)
      Y(13)=rCH*dsin(aSiCH)
      Z(13)=0.0
      
c     generate Me group around C(12)
      Do i=1,2
      X(13+i)=X(13)
      Y(13+i)=Y(13)*dcos(120.*i*rad)-Z(13)*dsin(120.*i*rad)
      Z(13+i)=Y(13)*dsin(120.*i*rad)+Z(13)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(15+i)=X(11+i)
      Y(15+i)=Y(11+i)
      Z(15+i)=Z(11+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=1,4
      A=Y(11+i)
      Y(11+i)=A*dcos(dH1CSiF)-Z(11+i)*dsin(dH1CSiF)
      Z(11+i)=A*dsin(dH1CSiF)+Z(11+i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=16,19
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(20) to origin
      X(20)=0.0
      Y(20)=0.0
      Z(20)=0.0
      
c     Move 1st Me group away from Si(20)
      Do i=12,15
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(20)
      Do i=16,19
      X(i)=X(i)-rCSi1
      enddo

c     Set F(21) in x-y plane
      X(21)=rSiF*dcos(aCSiF1+1.02*rad)
      Y(21)=rSiF*dsin(aCSiF1+1.02*rad)
      Z(21)=0.0
  
c     Bend methyl group 1 into position
      Do i=12,15
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=16,19
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(20)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=12,15
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=16,19
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(11)
      X(11)=0.0
      Y(11)=0.0
      Z(11)=0.0

      Do i=12,21
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 2 and branch 1.
	Do i=12,21
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi2)-Z(i)*dsin(dFSiCSi2))
	Z(i)=A*dsin(dFSiCSi2)+Z(i)*dcos(dFSiCSi2)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=12,21
	A=X(i)
      X(i)=A*dcos(-aSiCSi+0.76*rad)-Y(i)*dsin(-aSiCSi+0.76*rad)
      Y(i)=A*dsin(-aSiCSi+0.76*rad)+Y(i)*dcos(-aSiCSi+0.76*rad)
	enddo



c     Start of Branch 3
c	Define first SiMe2F group
c	Set C(22) at the origin
      X(22)=0.0
      Y(22)=0.0
      Z(22)=0.0

c     Set H(23) in x-y plane
      X(23)=rCH*dcos(aSiCH)
      Y(23)=rCH*dsin(aSiCH)
      Z(23)=0.0
      
c     generate Me group around C(22)
      Do i=1,2
      X(23+i)=X(23)
      Y(23+i)=Y(23)*dcos(120.*i*rad)-Z(23)*dsin(120.*i*rad)
      Z(23+i)=Y(23)*dsin(120.*i*rad)+Z(23)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(25+i)=X(21+i)
      Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=22,25
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=26,29
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(30) to origin
      X(30)=0.0
      Y(30)=0.0
      Z(30)=0.0
      
c     Move 1st Me group away from Si(30)
      Do i=22,25
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(30)
      Do i=26,29
      X(i)=X(i)-rCSi1
      enddo

c     Set F(31) in x-y plane
      X(31)=rSiF*dcos(aCSiF1-0.18*rad)
      Y(31)=rSiF*dsin(aCSiF1-0.18*rad)
      Z(31)=0.0
 
c     Bend methyl group 1 into position
      Do i=22,25
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=26,29
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(30)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=22,25
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=26,29
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(11)
      X(11)=0.0
      Y(11)=0.0
      Z(11)=0.0

      Do i=22,31
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 3 and branch 1.
	Do i=22,31
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi3)-Z(i)*dsin(dFSiCSi3))
	Z(i)=A*dsin(dFSiCSi3)+Z(i)*dcos(dFSiCSi3)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=22,31
	A=X(i)
      X(i)=A*dcos(-aSiCSi-0.50*rad)-Y(i)*dsin(-aSiCSi-0.50*rad)
      Y(i)=A*dsin(-aSiCSi-0.50*rad)+Y(i)*dcos(-aSiCSi-0.50*rad)
	enddo


c     Start of Branch 4
c     Define first SiMe2F group
c     Set C(32) at the origin
      X(32)=0.0
      Y(32)=0.0
      Z(32)=0.0

c     Set H(33) in x-y plane
      X(33)=rCH*dcos(aSiCH)
      Y(33)=rCH*dsin(aSiCH)
      Z(33)=0.0
      
c     generate Me group around C(32)
      Do i=1,2
      X(33+i)=X(33)
      Y(33+i)=Y(33)*dcos(120.*i*rad)-Z(33)*dsin(120.*i*rad)
      Z(33+i)=Y(33)*dsin(120.*i*rad)+Z(33)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(35+i)=X(31+i)
      Y(35+i)=Y(31+i)
      Z(35+i)=Z(31+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=32,35
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=36,39
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(40) to origin
      X(40)=0.0
      Y(40)=0.0
      Z(40)=0.0
      
c     Move 1st Me group away from Si(40)
      Do i=32,35
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(40)
      Do i=36,39
      X(i)=X(i)-rCSi1
      enddo
	
c     Set F(41) in x-y plane
      X(41)=rSiF*dcos(aCSiF1-0.8*rad)
      Y(41)=rSiF*dsin(aCSiF1-0.8*rad)
      Z(41)=0.0
  
c     Bend methyl group 1 into position
      Do i=32,35
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=36,39
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(30)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=32,35
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=36,39
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(11)
      X(11)=0.0
      Y(11)=0.0
      Z(11)=0.0

      Do i=32,41
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 4 and branch 1.
	Do i=32,41
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi4)-Z(i)*dsin(dFSiCSi4))
	Z(i)=A*dsin(dFSiCSi4)+Z(i)*dcos(dFSiCSi4)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=32,41
	A=X(i)
      X(i)=A*dcos(-aSiCSi-0.88*rad)-Y(i)*dsin(-aSiCSi-0.88*rad)
      Y(i)=A*dsin(-aSiCSi-0.88*rad)+Y(i)*dcos(-aSiCSi-0.88*rad)
	enddo


c     Put 3rd and 4th branch in position by rotation around C(11)
c     Generate dihedral angles to move branches (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d3)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d4)

c     Move branches about x axis using dihedrals generated above
      do i=22,31
      A=Y(i)
      Y(i)=A*dcos(-d3)-Z(i)*dsin(-d3)
      Z(i)=A*dsin(-d3)+Z(i)*dcos(-d3)
      enddo

      do i=32,41
      A=Y(i)
      Y(i)=A*dcos(d4)-Z(i)*dsin(d4)
      Z(i)=A*dsin(d4)+Z(i)*dcos(d4)
      enddo


c	******************************
c	Second Conformer (55) C1sym
c	******************************
c     Start of branch 1
      do i=42,82
	X(i)=0.0
	Y(i)=0.0
	Z(i)=0.0
	enddo
     
c     Define first SiMe2F group
c     Set C(42) at the origin
      X(42)=0.0
      Y(42)=0.0
      Z(42)=0.0

c     Set H(43) in x-y plane
      X(43)=rCH*dcos(aSiCH)
      Y(43)=rCH*dsin(aSiCH)
      Z(43)=0.0
      
c     generate Me group around C(42)
      Do i=1,2
      X(43+i)=X(43)
      Y(43+i)=Y(43)*dcos(120.*i*rad)-Z(43)*dsin(120.*i*rad)
      Z(43+i)=Y(43)*dsin(120.*i*rad)+Z(43)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=42,45
      X(4+i)=X(i)
      Y(4+i)=Y(i)
      Z(4+i)=Z(i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=42,45
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=46,49
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(50) to origin
      X(50)=0.0
      Y(50)=0.0
      Z(50)=0.0
      
c     Move 1st Me group away from Si(50)
      Do i=42,45
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(50)
      Do i=46,49
      X(i)=X(i)-rCSi1
      enddo

c     Set F(51) in x-y plane
      X(51)=rSiF*dcos(aCSiF1+0.32*rad)
      Y(51)=rSiF*dsin(aCSiF1+0.32*rad)
      Z(51)=0.0
  
c     Bend methyl group 1 into position
      Do i=42,45
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=46,49
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(50)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=42,45
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=46,49
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(52)
      X(52)=0.0
      Y(52)=0.0
      Z(52)=0.0

      Do i=42,51
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 1 and branch 2.
	Do i=42,51
	A=Y(i)
	Y(i)=A*dcos(dFSiCSi5)-Z(i)*dsin(dFSiCSi5)
	Z(i)=-(A*dsin(dFSiCSi5)+Z(i)*dcos(dFSiCSi5))
	enddo



c     Start of branch 2
c     Define first SiMe2F group
c     Set C(53) at the origin
      X(53)=0.0
      Y(53)=0.0
      Z(53)=0.0

c     Set H(54) in x-y plane
      X(54)=rCH*dcos(aSiCH)
      Y(54)=rCH*dsin(aSiCH)
      Z(54)=0.0
      
c     generate Me group around C(53)
      Do i=1,2
      X(54+i)=X(54)
      Y(54+i)=Y(54)*dcos(120.*i*rad)-Z(54)*dsin(120.*i*rad)
      Z(54+i)=Y(54)*dsin(120.*i*rad)+Z(54)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=42,45
      X(15+i)=X(11+i)
      Y(15+i)=Y(11+i)
      Z(15+i)=Z(11+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=42,45
      A=Y(11+i)
      Y(11+i)=A*dcos(dH1CSiF)-Z(11+i)*dsin(dH1CSiF)
      Z(11+i)=A*dsin(dH1CSiF)+Z(11+i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=57,60
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(61) to origin
      X(61)=0.0
      Y(61)=0.0
      Z(61)=0.0
      
c     Move 1st Me group away from Si(61)
      Do i=53,56
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(61)
      Do i=57,60
      X(i)=X(i)-rCSi1
      enddo

c     Set F(62) in x-y plane
      X(62)=rSiF*dcos(aCSiF1+1.47*rad)
      Y(62)=rSiF*dsin(aCSiF1+1.47*rad)
      Z(62)=0.0
  
c     Bend methyl group 1 into position
      Do i=53,56
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=57,60
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(61)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=53,56
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=57,60
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(52)
      X(52)=0.0
      Y(52)=0.0
      Z(52)=0.0

      Do i=53,62
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 2 and branch 1.
	Do i=53,62
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi6)-Z(i)*dsin(dFSiCSi6))
	Z(i)=A*dsin(dFSiCSi6)+Z(i)*dcos(dFSiCSi6)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=53,62
	A=X(i)
      X(i)=A*dcos(-aSiCSi-1.76*rad)-Y(i)*dsin(-aSiCSi-1.76*rad)
      Y(i)=A*dsin(-aSiCSi-1.76*rad)+Y(i)*dcos(-aSiCSi-1.76*rad)
	enddo



c     Start of Branch 3
c	Define first SiMe2F group
c	Set C(63) at the origin
      X(63)=0.0
      Y(63)=0.0
      Z(63)=0.0

c     Set H(64) in x-y plane
      X(64)=rCH*dcos(aSiCH)
      Y(64)=rCH*dsin(aSiCH)
      Z(64)=0.0
      
c     generate Me group around C(63)
      Do i=1,2
      X(64+i)=X(64)
      Y(64+i)=Y(64)*dcos(120.*i*rad)-Z(64)*dsin(120.*i*rad)
      Z(64+i)=Y(64)*dsin(120.*i*rad)+Z(64)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=42,45
      X(25+i)=X(21+i)
      Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=63,66
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=67,70
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(71) to origin
      X(71)=0.0
      Y(71)=0.0
      Z(71)=0.0
      
c     Move 1st Me group away from Si(71)
      Do i=63,66
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(71)
      Do i=67,70
      X(i)=X(i)-rCSi1
      enddo

c     Set F(72) in x-y plane
      X(72)=rSiF*dcos(aCSiF1+0.03*rad)
      Y(72)=rSiF*dsin(aCSiF1+0.03*rad)
      Z(72)=0.0
 
c     Bend methyl group 1 into position
      Do i=63,66
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=67,70
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(71)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=63,66
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=67,70
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(52)
      X(52)=0.0
      Y(52)=0.0
      Z(52)=0.0

      Do i=63,72
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 3 and branch 1.
	Do i=63,72
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi7)-Z(i)*dsin(dFSiCSi7))
	Z(i)=A*dsin(dFSiCSi7)+Z(i)*dcos(dFSiCSi7)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=63,72
	A=X(i)
      X(i)=A*dcos(-aSiCSi+2.35*rad)-Y(i)*dsin(-aSiCSi+2.35*rad)
      Y(i)=A*dsin(-aSiCSi+2.35*rad)+Y(i)*dcos(-aSiCSi+2.35*rad)
	enddo


c     Start of Branch 4
c     Define first SiMe2F group
c     Set C(73) at the origin
      X(73)=0.0
      Y(73)=0.0
      Z(73)=0.0

c     Set H(74) in x-y plane
      X(74)=rCH*dcos(aSiCH)
      Y(74)=rCH*dsin(aSiCH)
      Z(74)=0.0
      
c     generate Me group around C(73)
      Do i=1,2
      X(74+i)=X(74)
      Y(74+i)=Y(74)*dcos(120.*i*rad)-Z(74)*dsin(120.*i*rad)
      Z(74+i)=Y(74)*dsin(120.*i*rad)+Z(74)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=42,45
      X(35+i)=X(31+i)
      Y(35+i)=Y(31+i)
      Z(35+i)=Z(31+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=73,76
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=77,80
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(81) to origin
      X(81)=0.0
      Y(81)=0.0
      Z(81)=0.0
      
c     Move 1st Me group away from Si(81)
      Do i=73,76
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(81)
      Do i=77,80
      X(i)=X(i)-rCSi1
      enddo
	
c     Set F(82) in x-y plane
      X(82)=rSiF*dcos(aCSiF1+1.93*rad)
      Y(82)=rSiF*dsin(aCSiF1+1.93*rad)
      Z(82)=0.0
  
c     Bend methyl group 1 into position
      Do i=73,76
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=77,80
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(71)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=73,76
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=77,80
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(52)
      X(52)=0.0
      Y(52)=0.0
      Z(52)=0.0

      Do i=73,82
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 4 and branch 1.
	Do i=73,82
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi8)-Z(i)*dsin(dFSiCSi8))
	Z(i)=A*dsin(dFSiCSi8)+Z(i)*dcos(dFSiCSi8)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=73,82
	A=X(i)
      X(i)=A*dcos(-aSiCSi-0.31*rad)-Y(i)*dsin(-aSiCSi-0.31*rad)
      Y(i)=A*dsin(-aSiCSi-0.31*rad)+Y(i)*dcos(-aSiCSi-0.31*rad)
	enddo


c     Put 3rd and 4th branch in position by rotation around C(52)
c     Generate dihedral angles to move branches (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d3)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d4)

c     Move branches about x axis using dihedrals generated above
      do i=63,72
      A=Y(i)
      Y(i)=A*dcos(-d3)-Z(i)*dsin(-d3)
      Z(i)=A*dsin(-d3)+Z(i)*dcos(-d3)
      enddo

      do i=73,82
      A=Y(i)
      Y(i)=A*dcos(d4)-Z(i)*dsin(d4)
      Z(i)=A*dsin(d4)+Z(i)*dcos(d4)
      enddo
	
	Do i=42,82
	X(i)=X(i)+10
	enddo


c	*****************************************************************************************
c	Start of Conformer 3 (71) C2sym
c	******************************************************************************************


c     Set C(83) at the origin
      X(83)=0.0
      Y(83)=0.0
      Z(83)=0.0

c     Set H(84) in x-y plane
      X(84)=rCH*dcos(aSiCH)
      Y(84)=rCH*dsin(aSiCH)
      Z(84)=0.0
      
c     generate Me group around C(83)
      Do i=1,2
      X(84+i)=X(84)
      Y(84+i)=Y(84)*dcos(120.*i*rad)-Z(84)*dsin(120.*i*rad)
      Z(84+i)=Y(84)*dsin(120.*i*rad)+Z(84)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=42,45
      X(45+i)=X(41+i)
	Y(45+i)=Y(41+i)
      Z(45+i)=Z(41+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=83,86
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=87,90
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo


c     Place Si(91) to origin
      X(91)=0.0
      Y(91)=0.0
      Z(91)=0.0
      
c     Move 1st Me group away from Si(91)
      Do i=83,86
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(91)
      Do i=87,90
      X(i)=X(i)-rCSi1
      enddo

c     Set F(92) in x-y plane
      X(92)=rSiF*dcos(aCSiF1+0.99*rad)
      Y(92)=rSiF*dsin(aCSiF1+0.99*rad)
      Z(92)=0.0
  
c     Bend methyl group 1 into position
      Do i=83,86
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=87,90
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(91)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=83,86
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=87,90
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(93)
      X(93)=0.0
      Y(93)=0.0
      Z(93)=0.0

      Do i=83,92
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 1 and branch 3.
	Do i=83,92
	A=Y(i)
	Y(i)=A*dcos(dFSiCSi9)-Z(i)*dsin(dFSiCSi9)
	Z(i)=-(A*dsin(dFSiCSi9)+Z(i)*dcos(dFSiCSi9))
	enddo





c     Start of Branch 2
c	Define first SiMe2F group
c	Set C(94) at the origin
      X(94)=0.0
      Y(94)=0.0
      Z(94)=0.0

c     Set H(105) in x-y plane
      X(95)=rCH*dcos(aSiCH)
      Y(95)=rCH*dsin(aSiCH)
      Z(95)=0.0
      
c     generate Me group around C(104)
      Do i=1,2
      X(95+i)=X(95)
      Y(95+i)=Y(95)*dcos(120.*i*rad)-Z(95)*dsin(120.*i*rad)
      Z(95+i)=Y(95)*dsin(120.*i*rad)+Z(95)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=73,76
      X(25+i)=X(21+i)
	Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=94,97
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=98,101
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(102) to origin
      X(102)=0.0
      Y(102)=0.0
      Z(102)=0.0
      
c     Move 1st Me group away from Si(102)
      Do i=94,97
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(102)
      Do i=98,101
      X(i)=X(i)-rCSi1
      enddo

c     Set F(103) in x-y plane
      X(103)=rSiF*dcos(aCSiF1-0.05*rad)
      Y(103)=rSiF*dsin(aCSiF1-0.05*rad)
      Z(103)=0.0
 
c     Bend methyl group 1 into position
      Do i=94,97
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=98,101
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(102)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=94,97
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=98,101
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(93)
      X(93)=0.0
      Y(93)=0.0
      Z(93)=0.0

      Do i=94,103
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 2 and branch 1.
	Do i=94,103
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi10)-Z(i)*dsin(dFSiCSi10))
	Z(i)=A*dsin(dFSiCSi10)+Z(i)*dcos(dFSiCSi10)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=94,103
	A=X(i)
      X(i)=A*dcos(-aSiCSi+0.19*rad)-Y(i)*dsin(-aSiCSi+0.19*rad)
      Y(i)=A*dsin(-aSiCSi+0.19*rad)+Y(i)*dcos(-aSiCSi+0.19*rad)
	enddo

c	rotate around z by (angle between branch 1 and 2)/2
	do i=83,123
	A=X(i)
	X(i)=A*dcos(aSiCSi/2)-Y(i)*dsin(aSiCSi/2)
	Y(i)=A*dsin(aSiCSi/2)+Y(i)*dcos(aSiCSi/2)
	enddo

c	Place atoms 104-113 on 83-92 
	do i=104,113
	X(i)=X(i-21)
	Y(i)=Y(i-21)
	Z(i)=Z(i-21)
	enddo

c	 114-123 on 94-103
	Do i=114,123
	X(i)=X(i-20)
	Y(i)=Y(i-20)
	Z(i)=Z(i-20)
	enddo

c	Rotate about x-axis by (pi/2)
	do i=104,113
	A=Y(i)
	Y(i)=A*dcos(-pi/2)-Z(i)*dsin(-pi/2)
	Z(i)=A*dsin(-pi/2)+Z(i)*dcos(-pi/2)
	enddo

c	Rotate about x-axis by (pi/2)
	do i=114,123
	A=Y(i)
	Y(i)=A*dcos(-pi/2)-Z(i)*dsin(-pi/2)
	Z(i)=A*dsin(-pi/2)+Z(i)*dcos(-pi/2)
	enddo


c	Rotate branch 3 and 4 about y axis by pi
	do i=104,113
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo

	do i=114,123
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo

	Do i=83,123
	X(i)=X(i)+20
	enddo

c	*****************************************************************************************
c	Start of Conformer 4 (57) C2sym
c	******************************************************************************************
c
c     Set C(124) at the origin
      X(124)=0.0
      Y(124)=0.0
      Z(124)=0.0

c     Set H(125) in x-y plane
      X(125)=rCH*dcos(aSiCH)
      Y(125)=rCH*dsin(aSiCH)
      Z(125)=0.0
      
c     generate Me group around C(124)
      Do i=1,2
      X(125+i)=X(125)
      Y(125+i)=Y(125)*dcos(120.*i*rad)-Z(125)*dsin(120.*i*rad)
      Z(125+i)=Y(125)*dsin(120.*i*rad)+Z(125)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=83,86
      X(45+i)=X(41+i)
	Y(45+i)=Y(41+i)
      Z(45+i)=Z(41+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=124,127
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=128,131
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(132) to origin
      X(132)=0.0
      Y(132)=0.0
      Z(132)=0.0
      
c     Move 1st Me group away from Si(132)
      Do i=124,127
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(132)
      Do i=128,131
      X(i)=X(i)-rCSi1
      enddo

c     Set F(133) in x-y plane
      X(133)=rSiF*dcos(aCSiF1+0.7*rad)
      Y(133)=rSiF*dsin(aCSiF1+0.7*rad)
      Z(133)=0.0
  
c     Bend methyl group 1 into position
      Do i=124,127
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=128,131
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(132)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=124,127
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=128,131
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(134)
      X(134)=0.0
      Y(134)=0.0
      Z(134)=0.0

      Do i=124,133
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 1 and branch 3.
	Do i=124,133
	A=Y(i)
	Y(i)=A*dcos(dFSiCSi11)-Z(i)*dsin(dFSiCSi11)
	Z(i)=-(A*dsin(dFSiCSi11)+Z(i)*dcos(dFSiCSi11))
	enddo


c     Start of Branch 2
c	Define first SiMe2F group
c	Set C(135) at the origin
      X(135)=0.0
      Y(135)=0.0
      Z(135)=0.0

c     Set H(136) in x-y plane
      X(136)=rCH*dcos(aSiCH)
      Y(136)=rCH*dsin(aSiCH)
      Z(136)=0.0
      
c     generate Me group around C(135)
      Do i=1,2
      X(136+i)=X(136)
      Y(136+i)=Y(136)*dcos(120.*i*rad)-Z(136)*dsin(120.*i*rad)
      Z(136+i)=Y(136)*dsin(120.*i*rad)+Z(136)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=114,117
      X(25+i)=X(21+i)
	Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=135,138
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=139,142
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(143) to origin
      X(143)=0.0
      Y(143)=0.0
      Z(143)=0.0
      
c     Move 1st Me group away from Si(143)
      Do i=135,138
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(153)
      Do i=139,142
      X(i)=X(i)-rCSi1
      enddo

c     Set F(144) in x-y plane
      X(144)=rSiF*dcos(aCSiF1+0.22*rad)
      Y(144)=rSiF*dsin(aCSiF1+0.22*rad)
      Z(144)=0.0
 
c     Bend methyl group 1 into position
      Do i=135,138
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=139,142
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(143)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=135,138
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=139,142
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(134)
      X(134)=0.0
      Y(134)=0.0
      Z(134)=0.0

      Do i=135,144
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 2 and branch 1.
	Do i=135,144
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi12)-Z(i)*dsin(dFSiCSi12))
	Z(i)=A*dsin(dFSiCSi12)+Z(i)*dcos(dFSiCSi12)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=135,144
	A=X(i)
      X(i)=A*dcos(-aSiCSi+2.09*rad)-Y(i)*dsin(-aSiCSi+2.09*rad)
      Y(i)=A*dsin(-aSiCSi+2.09*rad)+Y(i)*dcos(-aSiCSi+2.09*rad)
	enddo

c	rotate around z by (angle between branch 1 and 2)/2
	do i=124,164
	A=X(i)
	X(i)=A*dcos(aSiCSi/2)-Y(i)*dsin(aSiCSi/2)
	Y(i)=A*dsin(aSiCSi/2)+Y(i)*dcos(aSiCSi/2)
	enddo

c	Place atoms 145-154 on 124-133 
	do i=145,154
	X(i)=X(i-21)
	Y(i)=Y(i-21)
	Z(i)=Z(i-21)
	enddo

c	 155-164 on 135-144
	Do i=155,164
	X(i)=X(i-20)
	Y(i)=Y(i-20)
	Z(i)=Z(i-20)
	enddo

c	Rotate about x-axis by (pi/2)
	do i=145,154
	A=Y(i)
	Y(i)=A*dcos(pi/2)-Z(i)*dsin(pi/2)
	Z(i)=A*dsin(pi/2)+Z(i)*dcos(pi/2)
	enddo

c	Rotate about x-axis by (pi/2)
	do i=155,164
	A=Y(i)
	Y(i)=A*dcos(pi/2)-Z(i)*dsin(pi/2)
	Z(i)=A*dsin(pi/2)+Z(i)*dcos(pi/2)
	enddo


c	Rotate branch 3 and 4 about y axis by pi
	do i=145,154
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo

	do i=155,164
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo

	Do i=124,164
	Y(i)=Y(i)-10
	enddo

c	*****************************************************************************************
c	Start of Conformer 5 (81) C2sym
c	******************************************************************************************


c     Set C(165) at the origin
      X(165)=0.0
      Y(165)=0.0
      Z(165)=0.0

c     Set H(166) in x-y plane
      X(166)=rCH*dcos(aSiCH)
      Y(166)=rCH*dsin(aSiCH)
      Z(166)=0.0
      
c     generate Me group around C(165)
      Do i=1,2
      X(166+i)=X(166)
      Y(166+i)=Y(166)*dcos(120.*i*rad)-Z(166)*dsin(120.*i*rad)
      Z(166+i)=Y(166)*dsin(120.*i*rad)+Z(166)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=124,127
      X(45+i)=X(41+i)
	Y(45+i)=Y(41+i)
      Z(45+i)=Z(41+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=165,168
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=169,172
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo


c     Place Si(173) to origin
      X(173)=0.0
      Y(173)=0.0
      Z(173)=0.0
      
c     Move 1st Me group away from Si(173)
      Do i=165,168
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(173)
      Do i=169,172
      X(i)=X(i)-rCSi1
      enddo

c     Set F(174) in x-y plane
      X(174)=rSiF*dcos(aCSiF1+1.40*rad)
      Y(174)=rSiF*dsin(aCSiF1+1.40*rad)
      Z(174)=0.0
  
c     Bend methyl group 1 into position
      Do i=165,168
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=169,172
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(173)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=165,168
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=169,172
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(175)
      X(175)=0.0
      Y(175)=0.0
      Z(175)=0.0

      Do i=165,174
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 1 and branch 3.
	Do i=165,174
	A=Y(i)
	Y(i)=A*dcos(dFSiCSi13)-Z(i)*dsin(dFSiCSi13)
	Z(i)=-(A*dsin(dFSiCSi13)+Z(i)*dcos(dFSiCSi13))
	enddo





c     Start of Branch 2
c	Define first SiMe2F group
c	Set C(186) at the origin
      X(176)=0.0
      Y(176)=0.0
      Z(176)=0.0

c     Set H(177) in x-y plane
      X(177)=rCH*dcos(aSiCH)
      Y(177)=rCH*dsin(aSiCH)
      Z(177)=0.0
      
c     generate Me group around C(176)
      Do i=1,2
      X(177+i)=X(177)
      Y(177+i)=Y(177)*dcos(120.*i*rad)-Z(177)*dsin(120.*i*rad)
      Z(177+i)=Y(177)*dsin(120.*i*rad)+Z(177)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=155,158
      X(25+i)=X(21+i)
	Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=176,179
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=180,183
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(184) to origin
      X(184)=0.0
      Y(184)=0.0
      Z(184)=0.0
      
c     Move 1st Me group away from Si(184)
      Do i=176,179
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(184)
      Do i=180,183
      X(i)=X(i)-rCSi1
      enddo

c     Set F(185) in x-y plane
      X(185)=rSiF*dcos(aCSiF1+1.12*rad)
      Y(185)=rSiF*dsin(aCSiF1+1.12*rad)
      Z(185)=0.0
 
c     Bend methyl group 1 into position
      Do i=176,179
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=180,183
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(184)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=176,179
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=180,183
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(175)
      X(175)=0.0
      Y(175)=0.0
      Z(175)=0.0

      Do i=176,185
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 2 and branch 1.
	Do i=176,185
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi14)-Z(i)*dsin(dFSiCSi14))
	Z(i)=A*dsin(dFSiCSi14)+Z(i)*dcos(dFSiCSi14)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=176,185
	A=X(i)
      X(i)=A*dcos(-aSiCSi+0.55*rad)-Y(i)*dsin(-aSiCSi+0.55*rad)
      Y(i)=A*dsin(-aSiCSi+0.55*rad)+Y(i)*dcos(-aSiCSi+0.55*rad)
	enddo

c	rotate around z by (angle between branch 1 and 3)/2
	do i=165,205
	A=X(i)
	X(i)=A*dcos(aSiCSi/2)-Y(i)*dsin(aSiCSi/2)
	Y(i)=A*dsin(aSiCSi/2)+Y(i)*dcos(aSiCSi/2)
	enddo

c	Place atoms 186-195 on 165-51 
	do i=186,195
	X(i)=X(i-21)
	Y(i)=Y(i-21)
	Z(i)=Z(i-21)
	enddo

c	 196-205 on 176-185
	Do i=196,205
	X(i)=X(i-20)
	Y(i)=Y(i-20)
	Z(i)=Z(i-20)
	enddo

c	Rotate about x-axis by (pi/2)
	do i=186,195
	A=Y(i)
	Y(i)=A*dcos(-pi/2)-Z(i)*dsin(-pi/2)
	Z(i)=A*dsin(-pi/2)+Z(i)*dcos(-pi/2)
	enddo

c	Rotate about x-axis by (pi/2)
	do i=196,205
	A=Y(i)
	Y(i)=A*dcos(-pi/2)-Z(i)*dsin(-pi/2)
	Z(i)=A*dsin(-pi/2)+Z(i)*dcos(-pi/2)
	enddo


c	Rotate branch 3 and 4 about y axis by pi
	do i=186,195
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo

	do i=196,205
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo

	Do i=165,205
	X(i)=X(i)+10
	Y(i)=Y(i)-10
	enddo

c	******************************
c	Conformer 6 (68) C1sym
c	******************************
c     Start of branch 1
      do i=206,246
	X(i)=0.0
	Y(i)=0.0
	Z(i)=0.0
	enddo
     
c     Define first SiMe2F group
c     Set C(206) at the origin
      X(206)=0.0
      Y(206)=0.0
      Z(206)=0.0

c     Set H(207) in x-y plane
      X(207)=rCH*dcos(aSiCH)
      Y(207)=rCH*dsin(aSiCH)
      Z(207)=0.0
      
c     generate Me group around C(206)
      Do i=1,2
      X(207+i)=X(207)
      Y(207+i)=Y(207)*dcos(120.*i*rad)-Z(207)*dsin(120.*i*rad)
      Z(207+i)=Y(207)*dsin(120.*i*rad)+Z(207)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=206,209
      X(4+i)=X(i)
      Y(4+i)=Y(i)
      Z(4+i)=Z(i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=206,209
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=210,213
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(214) to origin
      X(214)=0.0
      Y(214)=0.0
      Z(214)=0.0
      
c     Move 1st Me group away from Si(214)
      Do i=206,209
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(214)
      Do i=210,213
      X(i)=X(i)-rCSi1
      enddo

c     Set F(215) in x-y plane
      X(215)=rSiF*dcos(aCSiF1+1.01*rad)
      Y(215)=rSiF*dsin(aCSiF1+1.01*rad)
      Z(215)=0.0
  
c     Bend methyl group 1 into position
      Do i=206,209
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=210,213
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(214)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=206,209
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=210,213
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(216)
      X(216)=0.0
      Y(216)=0.0
      Z(216)=0.0

      Do i=206,215
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 1 and branch 2.
	Do i=206,215
	A=Y(i)
	Y(i)=A*dcos(dFSiCSi15)-Z(i)*dsin(dFSiCSi15)
	Z(i)=-(A*dsin(dFSiCSi15)+Z(i)*dcos(dFSiCSi15))
	enddo



c     Start of branch 2
c     Define first SiMe2F group
c     Set C(217) at the origin
      X(217)=0.0
      Y(217)=0.0
      Z(217)=0.0

c     Set H(218) in x-y plane
      X(218)=rCH*dcos(aSiCH)
      Y(218)=rCH*dsin(aSiCH)
      Z(218)=0.0
      
c     generate Me group around C(217)
      Do i=1,2
      X(218+i)=X(218)
      Y(218+i)=Y(218)*dcos(120.*i*rad)-Z(218)*dsin(120.*i*rad)
      Z(218+i)=Y(218)*dsin(120.*i*rad)+Z(218)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=206,209
      X(15+i)=X(11+i)
      Y(15+i)=Y(11+i)
      Z(15+i)=Z(11+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=206,209
      A=Y(11+i)
      Y(11+i)=A*dcos(dH1CSiF)-Z(11+i)*dsin(dH1CSiF)
      Z(11+i)=A*dsin(dH1CSiF)+Z(11+i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=221,224
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(225) to origin
      X(225)=0.0
      Y(225)=0.0
      Z(225)=0.0
      
c     Move 1st Me group away from Si(20)
      Do i=217,220
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(20)
      Do i=221,224
      X(i)=X(i)-rCSi1
      enddo

c     Set F(226) in x-y plane
      X(226)=rSiF*dcos(aCSiF1+0.62*rad)
      Y(226)=rSiF*dsin(aCSiF1+0.62*rad)
      Z(226)=0.0
  
c     Bend methyl group 1 into position
      Do i=217,220
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=221,224
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(225)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=217,220
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=221,224
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(216)
      X(216)=0.0
      Y(216)=0.0
      Z(216)=0.0

      Do i=217,226
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 2 and branch 1.
	Do i=217,226
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi16)-Z(i)*dsin(dFSiCSi16))
	Z(i)=A*dsin(dFSiCSi16)+Z(i)*dcos(dFSiCSi16)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=217,226
	A=X(i)
      X(i)=A*dcos(-aSiCSi+0.74*rad)-Y(i)*dsin(-aSiCSi+0.74*rad)
      Y(i)=A*dsin(-aSiCSi+0.74*rad)+Y(i)*dcos(-aSiCSi+0.74*rad)
	enddo



c     Start of Branch 3
c	Define first SiMe2F group
c	Set C(227) at the origin
      X(227)=0.0
      Y(227)=0.0
      Z(227)=0.0

c     Set H(228) in x-y plane
      X(228)=rCH*dcos(aSiCH)
      Y(228)=rCH*dsin(aSiCH)
      Z(228)=0.0
      
c     generate Me group around C(227)
      Do i=1,2
      X(228+i)=X(228)
      Y(228+i)=Y(228)*dcos(120.*i*rad)-Z(228)*dsin(120.*i*rad)
      Z(228+i)=Y(228)*dsin(120.*i*rad)+Z(228)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=206,209
      X(25+i)=X(21+i)
      Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=227,230
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=231,234
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(235) to origin
      X(235)=0.0
      Y(235)=0.0
      Z(235)=0.0
      
c     Move 1st Me group away from Si(235)
      Do i=227,230
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(235)
      Do i=231,234
      X(i)=X(i)-rCSi1
      enddo

c     Set F(236) in x-y plane
      X(236)=rSiF*dcos(aCSiF1+2.49*rad)
      Y(236)=rSiF*dsin(aCSiF1+2.49*rad)
      Z(236)=0.0
 
c     Bend methyl group 1 into position
      Do i=227,230
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=231,234
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(235)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=227,230
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=231,234
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(216)
      X(216)=0.0
      Y(216)=0.0
      Z(216)=0.0

      Do i=227,236
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 3 and branch 1.
	Do i=227,236
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi17)-Z(i)*dsin(dFSiCSi17))
	Z(i)=A*dsin(dFSiCSi17)+Z(i)*dcos(dFSiCSi17)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=227,236
	A=X(i)
      X(i)=A*dcos(-aSiCSi-1.12*rad)-Y(i)*dsin(-aSiCSi-1.12*rad)
      Y(i)=A*dsin(-aSiCSi-1.12*rad)+Y(i)*dcos(-aSiCSi-1.12*rad)
	enddo


c     Start of Branch 4
c     Define first SiMe2F group
c     Set C(237) at the origin
      X(237)=0.0
      Y(237)=0.0
      Z(237)=0.0

c     Set H(238) in x-y plane
      X(238)=rCH*dcos(aSiCH)
      Y(238)=rCH*dsin(aSiCH)
      Z(238)=0.0
      
c     generate Me group around C(237)
      Do i=1,2
      X(238+i)=X(238)
      Y(238+i)=Y(238)*dcos(120.*i*rad)-Z(238)*dsin(120.*i*rad)
      Z(238+i)=Y(238)*dsin(120.*i*rad)+Z(238)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=206,209
      X(35+i)=X(31+i)
      Y(35+i)=Y(31+i)
      Z(35+i)=Z(31+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=237,240
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=241,244
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(245) to origin
      X(245)=0.0
      Y(245)=0.0
      Z(245)=0.0
      
c     Move 1st Me group away from Si(245)
      Do i=237,240
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(245)
      Do i=241,244
      X(i)=X(i)-rCSi1
      enddo
	
c     Set F(246) in x-y plane
      X(246)=rSiF*dcos(aCSiF1+0.28*rad)
      Y(246)=rSiF*dsin(aCSiF1+0.28*rad)
      Z(246)=0.0
  
c     Bend methyl group 1 into position
      Do i=237,240
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=241,244
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(235)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=237,240
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=241,244
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(216)
      X(216)=0.0
      Y(216)=0.0
      Z(216)=0.0

      Do i=237,246
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 4 and branch 1.
	Do i=237,246
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi18)-Z(i)*dsin(dFSiCSi18))
	Z(i)=A*dsin(dFSiCSi18)+Z(i)*dcos(dFSiCSi18)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=237,246
	A=X(i)
      X(i)=A*dcos(-aSiCSi+0.47*rad)-Y(i)*dsin(-aSiCSi+0.47*rad)
      Y(i)=A*dsin(-aSiCSi+0.47*rad)+Y(i)*dcos(-aSiCSi+0.47*rad)
	enddo


c     Put 3rd and 4th branch in position by rotation around C(216)
c     Generate dihedral angles to move branches (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d3)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d4)

c     Move branches about x axis using dihedrals generated above
      do i=227,236
      A=Y(i)
      Y(i)=A*dcos(-d3)-Z(i)*dsin(-d3)
      Z(i)=A*dsin(-d3)+Z(i)*dcos(-d3)
      enddo

      do i=237,246
      A=Y(i)
      Y(i)=A*dcos(d4)-Z(i)*dsin(d4)
      Z(i)=A*dsin(d4)+Z(i)*dcos(d4)
      enddo

	Do i=206,246
	X(i)=X(i)+20
	Y(i)=Y(i)-10
	enddo



c	******************************
c	Conformer 7 (64) C1sym
c	******************************
c     Start of branch 1
      do i=247,287
	X(i)=0.0
	Y(i)=0.0
	Z(i)=0.0
	enddo
     
c     Define first SiMe2F group
c     Set C(247) at the origin
      X(247)=0.0
      Y(247)=0.0
      Z(247)=0.0

c     Set H(248) in x-y plane
      X(248)=rCH*dcos(aSiCH)
      Y(248)=rCH*dsin(aSiCH)
      Z(248)=0.0
      
c     generate Me group around C(247)
      Do i=1,2
      X(248+i)=X(248)
      Y(248+i)=Y(248)*dcos(120.*i*rad)-Z(248)*dsin(120.*i*rad)
      Z(248+i)=Y(248)*dsin(120.*i*rad)+Z(248)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=247,250
      X(4+i)=X(i)
      Y(4+i)=Y(i)
      Z(4+i)=Z(i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=247,250
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=251,254
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(255) to origin
      X(255)=0.0
      Y(255)=0.0
      Z(255)=0.0
      
c     Move 1st Me group away from Si(255)
      Do i=247,250
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(255)
      Do i=251,254
      X(i)=X(i)-rCSi1
      enddo

c     Set F(256) in x-y plane
      X(256)=rSiF*dcos(aCSiF1+0.43*rad)
      Y(256)=rSiF*dsin(aCSiF1+0.43*rad)
      Z(256)=0.0
  
c     Bend methyl group 1 into position
      Do i=247,250
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=251,254
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(255)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=247,250
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=251,254
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(257)
      X(257)=0.0
      Y(257)=0.0
      Z(257)=0.0

      Do i=247,256
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 1 and branch 2.
	Do i=247,256
	A=Y(i)
	Y(i)=A*dcos(dFSiCSi19)-Z(i)*dsin(dFSiCSi19)
	Z(i)=-(A*dsin(dFSiCSi19)+Z(i)*dcos(dFSiCSi19))
	enddo



c     Start of branch 2
c     Define first SiMe2F group
c     Set C(258) at the origin
      X(258)=0.0
      Y(258)=0.0
      Z(258)=0.0

c     Set H(259) in x-y plane
      X(259)=rCH*dcos(aSiCH)
      Y(259)=rCH*dsin(aSiCH)
      Z(259)=0.0
      
c     generate Me group around C(258)
      Do i=1,2
      X(259+i)=X(259)
      Y(259+i)=Y(259)*dcos(120.*i*rad)-Z(259)*dsin(120.*i*rad)
      Z(259+i)=Y(259)*dsin(120.*i*rad)+Z(259)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=247,250
      X(15+i)=X(11+i)
      Y(15+i)=Y(11+i)
      Z(15+i)=Z(11+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=251,254
      A=Y(11+i)
      Y(11+i)=A*dcos(dH1CSiF)-Z(11+i)*dsin(dH1CSiF)
      Z(11+i)=A*dsin(dH1CSiF)+Z(11+i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=262,265
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(266) to origin
      X(266)=0.0
      Y(266)=0.0
      Z(266)=0.0
      
c     Move 1st Me group away from Si(266)
      Do i=258,261
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(266)
      Do i=262,265
      X(i)=X(i)-rCSi1
      enddo

c     Set F(267) in x-y plane
      X(267)=rSiF*dcos(aCSiF1+1.40*rad)
      Y(267)=rSiF*dsin(aCSiF1+1.40*rad)
      Z(267)=0.0
  
c     Bend methyl group 1 into position
      Do i=258,261
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=262,265
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(266)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=258,261
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=262,265
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(257)
      X(257)=0.0
      Y(257)=0.0
      Z(257)=0.0

      Do i=258,267
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 2 and branch 1.
	Do i=258,267
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi20)-Z(i)*dsin(dFSiCSi20))
	Z(i)=A*dsin(dFSiCSi20)+Z(i)*dcos(dFSiCSi20)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=258,267
	A=X(i)
      X(i)=A*dcos(-aSiCSi-0.44*rad)-Y(i)*dsin(-aSiCSi-0.44*rad)
      Y(i)=A*dsin(-aSiCSi-0.44*rad)+Y(i)*dcos(-aSiCSi-0.44*rad)
	enddo



c     Start of Branch 3
c	Define first SiMe2F group
c	Set C(268) at the origin
      X(268)=0.0
      Y(268)=0.0
      Z(268)=0.0

c     Set H(269) in x-y plane
      X(269)=rCH*dcos(aSiCH)
      Y(269)=rCH*dsin(aSiCH)
      Z(269)=0.0
      
c     generate Me group around C(268)
      Do i=1,2
      X(269+i)=X(269)
      Y(269+i)=Y(269)*dcos(120.*i*rad)-Z(269)*dsin(120.*i*rad)
      Z(269+i)=Y(269)*dsin(120.*i*rad)+Z(269)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=247,250
      X(25+i)=X(21+i)
      Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=268,271
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=272,275
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(276) to origin
      X(276)=0.0
      Y(276)=0.0
      Z(276)=0.0
      
c     Move 1st Me group away from Si(276)
      Do i=268,271
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(276)
      Do i=272,275
      X(i)=X(i)-rCSi1
      enddo

c     Set F(277) in x-y plane
      X(277)=rSiF*dcos(aCSiF1+1.38*rad)
      Y(277)=rSiF*dsin(aCSiF1+1.38*rad)
      Z(277)=0.0
 
c     Bend methyl group 1 into position
      Do i=268,271
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=272,275
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(276)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=268,271
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=272,275
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(257)
      X(257)=0.0
      Y(257)=0.0
      Z(257)=0.0

      Do i=268,277
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 3 and branch 1.
	Do i=268,277
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi21)-Z(i)*dsin(dFSiCSi21))
	Z(i)=A*dsin(dFSiCSi21)+Z(i)*dcos(dFSiCSi21)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=268,277
	A=X(i)
      X(i)=A*dcos(-aSiCSi+1.25*rad)-Y(i)*dsin(-aSiCSi+1.25*rad)
      Y(i)=A*dsin(-aSiCSi+1.25*rad)+Y(i)*dcos(-aSiCSi+1.25*rad)
	enddo


c     Start of Branch 4
c     Define first SiMe2F group
c     Set C(278) at the origin
      X(278)=0.0
      Y(278)=0.0
      Z(278)=0.0

c     Set H(279) in x-y plane
      X(279)=rCH*dcos(aSiCH)
      Y(279)=rCH*dsin(aSiCH)
      Z(279)=0.0
      
c     generate Me group around C(278)
      Do i=1,2
      X(279+i)=X(279)
      Y(279+i)=Y(279)*dcos(120.*i*rad)-Z(279)*dsin(120.*i*rad)
      Z(279+i)=Y(279)*dsin(120.*i*rad)+Z(279)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=247,250
      X(35+i)=X(31+i)
      Y(35+i)=Y(31+i)
      Z(35+i)=Z(31+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=278,281
      A=Y(i)
      Y(i)=A*dcos(dH1CSiF)-Z(i)*dsin(dH1CSiF)
      Z(i)=A*dsin(dH1CSiF)+Z(i)*dcos(dH1CSiF)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=282,285
      A=Y(i)
      Y(i)=A*dcos(dH2CSiF)-Z(i)*dsin(dH2CSiF)
      Z(i)=A*dsin(dH2CSiF)+Z(i)*dcos(dH2CSiF)   
      enddo

c     Place Si(286) to origin
      X(286)=0.0
      Y(286)=0.0
      Z(286)=0.0
      
c     Move 1st Me group away from Si(286)
      Do i=278,281
      X(i)=X(i)-rCSi1
      enddo

c     Move 2nd Me group away from Si(286)
      Do i=282,285
      X(i)=X(i)-rCSi1
      enddo
	
c     Set F(287) in x-y plane
      X(287)=rSiF*dcos(aCSiF1+1.09*rad)
      Y(287)=rSiF*dsin(aCSiF1+1.09*rad)
      Z(287)=0.0
  
c     Bend methyl group 1 into position
      Do i=278,281
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=282,285
      A=X(i)
      X(i)=A*dcos(aCSiC2+pi)-Y(i)*dsin(aCSiC2+pi)
      Y(i)=A*dsin(aCSiC2+pi)+Y(i)*dcos(aCSiC2+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(30)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiF2,aCSiF1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=278,281
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=282,285
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(257)
      X(257)=0.0
      Y(257)=0.0
      Z(257)=0.0

      Do i=278,287
      X(i)=X(i)-rCSi2
      enddo

c	Create dihedral angle between F of branch 4 and branch 1.
	Do i=278,287
	A=Y(i)
	Y(i)=-(A*dcos(dFSiCSi22)-Z(i)*dsin(dFSiCSi22))
	Z(i)=A*dsin(dFSiCSi22)+Z(i)*dcos(dFSiCSi22)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=278,287
	A=X(i)
      X(i)=A*dcos(-aSiCSi-0.86*rad)-Y(i)*dsin(-aSiCSi-0.86*rad)
      Y(i)=A*dsin(-aSiCSi-0.86*rad)+Y(i)*dcos(-aSiCSi-0.86*rad)
	enddo


c     Put 3rd and 4th branch in position by rotation around C(257)
c     Generate dihedral angles to move branches (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d3)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d4)

c     Move branches about x axis using dihedrals generated above
      do i=268,277
      A=Y(i)
      Y(i)=A*dcos(-d3)-Z(i)*dsin(-d3)
      Z(i)=A*dsin(-d3)+Z(i)*dcos(-d3)
      enddo

      do i=278,287
      A=Y(i)
      Y(i)=A*dcos(d4)-Z(i)*dsin(d4)
      Z(i)=A*dsin(d4)+Z(i)*dcos(d4)
      enddo

	Do i=247,287
	Y(i)=Y(i)-20
	enddo







c	Make numbering same as ab initio
	Do i=1,nAtom
	XA(qq(i))=X(i)
	YA(qq(i))=Y(i)
	ZA(qq(i))=Z(i)
	attypea(qq(i))=attype(i)
	enddo

	Do i=1,nAtom
	X(i)=XA(i)
	Y(i)=YA(i)
	Z(i)=ZA(i)
	attype(i)=attypea(i)
	enddo

c     Write the co-ordinates
	CALL writeXYZ('coord.xyz',nAtom,x,y,z,attype)

	RETURN
	END

c     Subroutine writeXYZ (ART 14/11/01)

c     Write out n atom labels and cartesian coordinates in standard
c     '.xyz' format. For viewing with eg. WebLab.

      SUBROUTINE writeXYZ(fileName,n,x,y,z,attype)
      IMPLICIT REAL*8(a-h,o-z)

c     Dummy arrays
       DIMENSION x(n),y(n),z(n)
         CHARACTER*2 attype(n)
      CHARACTER*60 fileName

c     Open the output file 
      OPEN(UNIT=100,FILE=fileName,FORM='FORMATTED',STATUS='UNKNOWN')

c     Write the headers
      WRITE(100,'(I3)') n
      WRITE(100,'(80A)') 'TITLE test for ed refinement model'
c     Write the atom lines
      DO i=1,n
      WRITE(100,1000) attype(i),x(i),y(i),z(i)
      END DO

c     Close the output file
      CLOSE(100)
      RETURN

 1000 FORMAT(A2,F9.4,F9.4,F9.4)
      END

	SUBROUTINE DihedralFromBeta(bondlen1,bondlen2,betaang,alpha1,
     + alpha2,dihedral)
      DOUBLEPRECISION term1,term2,term3,term4
	REAL*8 betaang,alpha1,alpha2,bondlen1,bondlen2,dihedral 
      term1=2*bondlen1*bondlen2*dcos(betaang)
      term2=2*bondlen1*bondlen2*dcos(alpha1)*dcos(alpha2)
      term3=dsqrt((bondlen1**2.)-(bondlen1**2.)*(dcos(alpha1)**2.))
      term4=dsqrt((bondlen2**2.)-(bondlen2**2.)*(dcos(alpha2)**2.))
	dihedral=dacos((term1-term2)/(2.*term3*term4))
	RETURN
      END      
