	PROGRAM TSIH_test
	IMPLICIT REAL*8(a-h,o-z)

	PARAMETER(nAtom=369,nIPar=100,nDist=1)

	DIMENSION x(nAtom),y(nAtom),z(nAtom)
	DIMENSION par(nIPar)
	DIMENSION uVal(nDist),rMult(nDist),ampDist(nDist)

c	parameter values 1-14 taken as average of calcs for dominant conformer c9A
	par(1)=1.9033		!from simultaneous eqn (ravg)
	par(2)=-0.0133		!from simultaneous eqn
	par(3)=1.503		!! Done
	par(4)=1.10			!! Done
	par(5)=110.996		!! Done
	par(6)=113.14		!! Done
	par(7)=106.72		!! Done
	par(8)=107.71		!! Done
	par(9)=107.95		!! Done
	par(10)=109.47		!! Done
	par(11)=182.00		!! Done
	par(12)=175.91		!! Done
	par(13)=-74.55		!!c9A C2 Done
	par(14)=161.62		!!c9A C2 Done
	par(15)=47.50		!!c3A Done
      par(16)=46.55		!!c3A Done
	par(17)=39.41		!!c3A Done
	par(18)=-79.73		!!c3A Done
	par(19)=40.26		!!c6A Done
	par(20)=45.27		!!c6A Done
	par(21)=160.00		!!c6A Done
	par(22)=-75.91		!!c6A Done
	par(23)=46.85		!!c2A Done
	par(24)=41.93		!!c2A Done
	par(25)=41.00		!!c2A Done
	par(26)=161.72		!!c2A Done
	par(27)=-76.34		!!c1A D2 Done
	par(28)=42.01		!!c12A Done
	par(29)=162.15		!!c12A Done
	par(30)=41.67		!!c12A Done
	par(31)=-81.27		!!c12A Done
	par(32)=42.80		!!c16A Done
	par(33)=160.63		!!c16A Done
	par(34)=-77.05		!!c16A Done
	par(35)=37.32		!!c16A Done
	par(36)=37.33		!!c13A C2 Done
	par(37)=164.97		!!c13A C2 Done
	par(38)=-76.85		!!c5A C2 Done
	par(39)=39.76		!!c5A C2 Done

c	No distance hard coding as no difference of more than 0.01A
c	
	CALL coord(nAtom,nIPar,nDist,x,y,z,par,uVal,rMult,ampDist)
	STOP
	END

c     Model for tetrakis(hydrogen dimethylsilyl)methane - multiconformer

	SUBROUTINE coord(nAtom,nIPar,nDist,x,y,z,par,uVal,rMult,ampDist)
	IMPLICIT REAL*8(a-h,o-z)

c	Dummy arrays
	DIMENSION x(nAtom),y(nAtom),z(nAtom)
	DIMENSION xa(nAtom),ya(nAtom),za(nAtom)
	DIMENSION par(nIPar),pp(50)
	DIMENSION uVal(nDist),rMult(nDist),ampDist(nDist)

c	Local arrays
	CHARACTER*2 attype(nAtom),attypea(nAtom)
	integer qq(nAtom)
	DIMENSION p(100)

c	Data statements
	attype = (/'C','H','H','H','C','H','H','H','Si','H','C','C','H',
     +'H','H','C','H','H','H','Si','H','C','H','H','H','C','H','H','H',
     +'Si','H','C','H','H','H','C','H','H','H','Si','H','C','H','H',
     +'H','C','H','H','H','Si','H','C','C','H','H','H','C','H','H','H',
     +'Si','H','C','H','H','H','C','H','H','H','Si','H','C','H','H',
     +'H','C','H','H','H','Si','H',
     +'C','H','H','H','C','H','H','H','Si','H','C','C','H',
     +'H','H','C','H','H','H','Si','H','C','H','H','H','C','H','H','H',
     +'Si','H','C','H','H','H','C','H','H','H','Si','H','C','H','H',
     +'H','C','H','H','H','Si','H','C','C','H','H','H','C','H','H','H',
     +'Si','H','C','H','H','H','C','H','H','H','Si','H','C','H','H',
     +'H','C','H','H','H','Si','H',
     +'C','H','H','H','C','H','H','H','Si','H','C','C','H',
     +'H','H','C','H','H','H','Si','H','C','H','H','H','C','H','H','H',
     +'Si','H','C','H','H','H','C','H','H','H','Si','H','C','H','H',
     +'H','C','H','H','H','Si','H','C','C','H','H','H','C','H','H','H',
     +'Si','H','C','H','H','H','C','H','H','H','Si','H','C','H','H',
     +'H','C','H','H','H','Si','H',
     +'C','H','H','H','C','H','H','H','Si','H','C','C','H',
     +'H','H','C','H','H','H','Si','H','C','H','H','H','C','H','H','H',
     +'Si','H','C','H','H','H','C','H','H','H','Si','H','C','H','H',
     +'H','C','H','H','H','Si','H','C','C','H','H','H','C','H','H','H',
     +'Si','H','C','H','H','H','C','H','H','H','Si','H','C','H','H',
     +'H','C','H','H','H','Si','H',
     +'C','H','H','H','C','H','H','H','Si','H','C','C','H',
     +'H','H','C','H','H','H','Si','H','C','H','H','H','C','H','H','H',
     +'Si','H','C','H','H','H','C','H','H','H','Si','H'/)
c
c      qq=(/12,38,36,37,13,41,39,40,2,14,1,8,25,26,24,9,27,28,29,3,16,
c     +11,34,35,33,10,30,31,32,4,15,7,21,22,23,6,19,20,18,5,17,53,
c     +79,77,78,54,82,80,81,43,55,42,49,66,67,65,50,68,69,70,44,57,52,
c     +75,76,74,51,71,72,73,45,56,48,62,63,64,47,60,61,59,46,58,94,120,
c     +118,119,95,123,121,122,84,96,83,90,107,108,106,91,109,110,111,85,
c     +98,93,116,117,115,92,112,113,114,86,97,89,103,104,105,88,101,102,
c     +100,87,99,135,161,159,160,136,164,162,163,125,137,124,131,148,149,
c     +147,132,150,151,152,126,139,134,157,158,156,133,153,154,155,127,
c     +138,130,144,145,146,129,142,143,141,128,140,176,202,200,201,177,
c     +205,203,204,166,178,165,172,189,190,188,173,191,192,193,167,180,
c     +175,198,199,197,174,194,195,196,168,179,171,185,186,187,170,183,
c     +184,182,169,181,217,243,241,242,218,246,244,245,207,219,206,213,
c     +230,231,229,214,232,233,234,208,221,216,239,240,238,215,235,236,
c     +237,209,220,212,226,227,228,211,224,225,223,210,222,258,284,282,
c     +283,259,287,285,286,248,260,247,254,271,272,270,255,273,274,275,
c     +249,262,257,280,281,279,256,276,277,278,250,261,253,267,268,269,
c     +252,265,266,264,251,263,299,325,323,324,300,328,326,327,289,301,
c     +288,295,312,313,311,296,314,315,316,290,303,298,321,322,320,297,
c     +317,318,319,291,302,294,308,309,310,293,306,307,305,292,304,340,
c     +366,364,365,341,369,367,368,330,342,329,336,353,354,352,337,355,
c     +356,357,331,344,339,362,363,361,338,358,359,360,332,343,335,349,
c     +350,351,334,347,348,346,333,345/)


      qq=(/1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,
     +22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,
     +43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,
     +64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,
     +85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,
     +105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,
     +121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,
     +137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,
     +153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,
     +169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,
     +185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,
     +201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,
     +217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,
     +233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,
     +249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,
     +265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,
     +281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,
     +297,298,299,300,301,302,303,304,305,306,307,308,309,310,
     +311,312,313,314,315,316,317,318,319,320,321,322,323,324,
     +325,326,327,328,329,330,331,332,333,334,335,336,337,338,
     +339,340,341,342,343,344,345,346,347,348,349,350,351,352,
     +353,354,355,356,357,358,359,360,361,362,363,364,365,366,
     +367,368,369/)
     
	pi=dacos(-1.0d0)
      rad=pi/180.0d0

c	Parameters for use in model all variables for all conformers from c9A

	rCSi1=par(1)-(2*par(2)/2)	! central carbon to silicon
	rCSi2=par(1)+(par(2)/3)		! methyl carbon to silicon
	rSiH=par(3)				! silicon carbon distance
	rCH=par(4)				! carbon hydrogen distance
	aSiCH=par(5)*rad		! silicon methyl carbon to hydrogen angle
	aCSiC1=par(6)*rad		! central c si to methyl c angle
	aCSiC2=par(7)*rad		! methyl c si to methyl c angle
	aCSiH1=par(8)*rad		! central c si H
	aCSiH2=par(9)*rad		! methyl c si H
	aSiCSi=par(10)*rad		! si central c si
	dH1CSiH=par(11)*rad		! end on view(SiC2H6H), d left methyl H to H
	dH2CSiH=par(12)*rad		! end on view(SiC2H6H), d right methyl H to H
	dHSiCSi1=par(13)*rad	! Conf 1 c9A C2 sym
      dHSiCSi2=par(14)*rad	! Conf 1
	dHSiCSi3=par(15)*rad	! Conf 2 c3A C1 sym
	dHSiCSi4=par(16)*rad	! Conf 2
	dHSiCSi5=par(17)*rad	! Conf 2
	dHSiCSi6=par(18)*rad	! Conf 2
	dHSiCSi7=par(19)*rad	! Conf 3 c6A C1 sym
	dHSiCSi8=par(20)*rad	! Conf 3
	dHSiCSi9=par(21)*rad	! Conf 3
	dHSiCSi10=par(22)*rad	! Conf 3
	dHSiCSi11=par(23)*rad	! Conf 4 c2A C1 sym
	dHSiCSi12=par(24)*rad	! Conf 4
	dHSiCSi13=par(25)*rad	! Conf 4
	dHSiCSi14=par(26)*rad	! Conf 4
	dHSiCSi15=par(27)*rad	! Conf 5 c1A D2 sym
	dHSiCSi16=par(28)*rad	! Conf 6 c12A C1 sym
	dHSiCSi17=par(29)*rad	! Conf 6
	dHSiCSi18=par(30)*rad	! Conf 6
	dHSiCSi19=par(31)*rad	! Conf 6
	dHSiCSi20=par(32)*rad	! Conf 7 c16A C1 sym
	dHSiCSi21=par(33)*rad	! Conf 7
	dHSiCSi22=par(34)*rad	! Conf 7
	dHSiCSi23=par(35)*rad	! Conf 7
	dHSiCSi24=par(36)*rad	! Conf 8 c13A C2 sym
	dHSiCSi25=par(37)*rad	! Conf 8
	dHSiCSi26=par(38)*rad	! Conf 9 c5A C2 sym
	dHSiCSi27=par(39)*rad	! Conf 9
c							  Si4, and Si3 (gives angle between plane of 2,4 and 3,5)

*********************************************************************************
c	Any line with a ! at the end has been hard coded
c********************************************************************************

c	******************************
c	Start of model
c	First conformer Conformer (9A) C2sym
c	******************************

c     Set C(1) at the origin
      X(1)=0.0
      Y(1)=0.0
      Z(1)=0.0

c     Set H(2) in x-y plane
      X(2)=(rCH)*dcos(aSiCH)
      Y(2)=(rCH)*dsin(aSiCH)
      Z(2)=0.0
      
c     generate Me group around C(1)
      Do i=1,2
      X(2+i)=X(2)
      Y(2+i)=Y(2)*dcos(120.*i*rad)-Z(2)*dsin(120.*i*rad)
      Z(2+i)=Y(2)*dsin(120.*i*rad)+Z(2)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(4+i)=X(i)
	Y(4+i)=Y(i)
      Z(4+i)=Z(i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=2,4
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=5,8
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo


c     Place Si(9) to origin
      X(9)=0.0
      Y(9)=0.0
      Z(9)=0.0
      
c     Move 1st Me group away from Si(9)
      Do i=1,4
      X(i)=X(i)-rCSi2 
      enddo

c     Move 2nd Me group away from Si(9)
      Do i=5,8
      X(i)=X(i)-rCSi2
      enddo

c     Set H(10) in x-y plane
      X(10)=(rSiH)*dcos(aCSiH1)
      Y(10)=(rSiH)*dsin(aCSiH1)
      Z(10)=0.0
  
c     Bend methyl group 1 into position
      Do i=1,4
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=5,8
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(9)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=1,4
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=5,8
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo
c
c     Move origin to C(11)
      X(11)=0.0
      Y(11)=0.0
      Z(11)=0.0

      Do i=1,10
      X(i)=X(i)-rCSi1
      enddo

c	Create dihedral angle between H of branch 1 and branch 3.
	Do i=1,10
	A=Y(i)
	Y(i)=A*dcos(dHSiCSi1)-Z(i)*dsin(dHSiCSi1)
	Z(i)=-(A*dsin(dHSiCSi1)+Z(i)*dcos(dHSiCSi1))
	enddo




c     Start of Branch 3
c	Define first SiMe2H group
c	Set C(22) at the origin
      X(22)=0.0
      Y(22)=0.0
      Z(22)=0.0

c     Set H(23) in x-y plane
      X(23)=rCH*dcos(aSiCH)
      Y(23)=rCH*dsin(aSiCH)
      Z(23)=0.0
      
c     generate Me group around C(63)
      Do i=1,2
      X(23+i)=X(23)
      Y(23+i)=Y(23)*dcos(120.*i*rad)-Z(64)*dsin(120.*i*rad)
      Z(23+i)=Y(23)*dsin(120.*i*rad)+Z(64)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(25+i)=X(21+i)
	Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=22,25
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=26,29
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(30) to origin
      X(30)=0.0
      Y(30)=0.0
      Z(30)=0.0
      
c     Move 1st Me group away from Si(30)
      Do i=22,25
      X(i)=X(i)-rCSi2
      enddo

c     Move 2nd Me group away from Si(30)
      Do i=26,29
      X(i)=X(i)-rCSi2
      enddo

c     Set H(31) in x-y plane
      X(31)=(rSiH)*dcos(aCSiH1)
      Y(31)=(rSiH)*dsin(aCSiH1)
      Z(31)=0.0
 
c     Bend methyl group 1 into position
      Do i=22,25
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=26,29
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(71)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=22,25
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=26,29
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(11)
      X(11)=0.0
      Y(11)=0.0
      Z(11)=0.0

      Do i=22,31
      X(i)=X(i)-rCSi1
      enddo

c	Create dihedral angle between H of branch 3 and branch 1.
	Do i=22,31
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi2)-Z(i)*dsin(dHSiCSi2))
	Z(i)=A*dsin(dHSiCSi2)+Z(i)*dcos(dHSiCSi2)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=22,31
	A=X(i)
      X(i)=A*dcos(-aSiCSi-0.3*rad)-Y(i)*dsin(-aSiCSi-0.3*rad)
      Y(i)=A*dsin(-aSiCSi-0.3*rad)+Y(i)*dcos(-aSiCSi-0.3*rad)
	enddo

c	rotate around z by (angle between branch 1 and 3)/2
	do i=1,41
	A=X(i)
	X(i)=A*dcos((aSiCSi)/2)-Y(i)*dsin((aSiCSi)/2)
	Y(i)=A*dsin((aSiCSi)/2)+Y(i)*dcos((aSiCSi)/2)
	enddo

c	Place atoms 12-21 on 1-10 
	do i=12,21
	X(i)=X(i-11)
	Y(i)=Y(i-11)
	Z(i)=Z(i-11)
	enddo

c	 32-41 on 22-31
	Do i=32,41
	X(i)=X(i-10)
	Y(i)=Y(i-10)
	Z(i)=Z(i-10)
	enddo

c	Rotate about x-axis by (dSiCXSi)
	do i=12,21
	A=Y(i)
	Y(i)=A*dcos(pi/2)-Z(i)*dsin(pi/2)
	Z(i)=A*dsin(pi/2)+Z(i)*dcos(pi/2)
	enddo

c	Rotate about x-axis by (dSiCXSi)
	do i=32,41
	A=Y(i)
	Y(i)=A*dcos(pi/2)-Z(i)*dsin(pi/2)
	Z(i)=A*dsin(pi/2)+Z(i)*dcos(pi/2)
	enddo


c	Rotate branch 2 and 4 about y axis by pi
	do i=12,21
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo

	do i=32,41
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo


c	******************************
c	Second Conformer (3A) C1sym
c	******************************
c     Start of branch 1
      do i=42,82
	X(i)=0.0
	Y(i)=0.0
	Z(i)=0.0
	enddo
     
c     Define first SiMe2H group
c     Set C(42) at the origin
      X(42)=0.0
      Y(42)=0.0
      Z(42)=0.0

c     Set H(43) in x-y plane
      X(43)=rCH*dcos(aSiCH)
      Y(43)=rCH*dsin(aSiCH)
      Z(43)=0.0
      
c     generate Me group around C(42)
      Do i=1,2
      X(43+i)=X(43)
      Y(43+i)=Y(43)*dcos(120.*i*rad)-Z(43)*dsin(120.*i*rad)
      Z(43+i)=Y(43)*dsin(120.*i*rad)+Z(43)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(45+i)=X(41+i)
      Y(45+i)=Y(41+i)
      Z(45+i)=Z(41+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=42,45
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=46,49
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(50) to origin
      X(50)=0.0
      Y(50)=0.0
      Z(50)=0.0
     
c     Move 1st Me group away from Si(50)
      Do i=42,45
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(50)
      Do i=46,49
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(51) in x-y plane
      X(51)=(rSiH)*dcos(aCSiH1+0.2*rad)
      Y(51)=(rSiH)*dsin(aCSiH1+0.2*rad)
      Z(51)=0.0
  
c     Bend methyl group 1 into position
      Do i=42,45
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=46,49
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(50)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d1)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=42,45
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=46,49
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(52)
      X(52)=0.0
      Y(52)=0.0
      Z(52)=0.0

      Do i=42,51
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 1 and branch 2.
	Do i=42,51
	A=Y(i)
	Y(i)=A*dcos(dHSiCSi3)-Z(i)*dsin(dHSiCSi3)
	Z(i)=-(A*dsin(dHSiCSi3)+Z(i)*dcos(dHSiCSi3))
	enddo



c     Start of branch 2
c     Define first SiMe2H group
c     Set C(53) at the origin
      X(53)=0.0
      Y(53)=0.0
      Z(53)=0.0

c     Set H(54) in x-y plane
      X(54)=rCH*dcos(aSiCH)
      Y(54)=rCH*dsin(aSiCH)
      Z(54)=0.0
      
c     generate Me group around C(53)
      Do i=1,2
      X(54+i)=X(54)
      Y(54+i)=Y(54)*dcos(120.*i*rad)-Z(54)*dsin(120.*i*rad)
      Z(54+i)=Y(54)*dsin(120.*i*rad)+Z(54)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=42,45
      X(15+i)=X(11+i)
      Y(15+i)=Y(11+i)
      Z(15+i)=Z(11+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=42,45
      A=Y(11+i)
      Y(11+i)=A*dcos(dH1CSiH)-Z(11+i)*dsin(dH1CSiH)
      Z(11+i)=A*dsin(dH1CSiH)+Z(11+i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=57,60
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(61) to origin
      X(61)=0.0
      Y(61)=0.0
      Z(61)=0.0
      
c     Move 1st Me group away from Si(61)
      Do i=53,56
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(61)
      Do i=57,60
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(62) in x-y plane
      X(62)=(rSiH)*dcos(aCSiH1+0.2*rad)
      Y(62)=(rSiH)*dsin(aCSiH1+0.2*rad)
      Z(62)=0.0
  
c     Bend methyl group 1 into position
      Do i=53,56
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=57,60
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(61)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d3)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d4)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=53,56
      A=Y(i)
      Y(i)=A*dcos(d3)-Z(i)*dsin(d3)
      Z(i)=A*dsin(d3)+Z(i)*dcos(d3)
      enddo

      do i=57,60
      A=Y(i)
      Y(i)=A*dcos(-d4)-Z(i)*dsin(-d4)
      Z(i)=A*dsin(-d4)+Z(i)*dcos(-d4)
      enddo

c     Move origin to C(52)
      X(52)=0.0
      Y(52)=0.0
      Z(52)=0.0

      Do i=53,62
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 2 and branch 1.
	Do i=53,62
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi4)-Z(i)*dsin(dHSiCSi4))
	Z(i)=A*dsin(dHSiCSi4)+Z(i)*dcos(dHSiCSi4)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=53,62
	A=X(i)
      X(i)=A*dcos(-aSiCSi+0.517*rad)-Y(i)*dsin(-aSiCSi+0.517*rad)
      Y(i)=A*dsin(-aSiCSi+0.517*rad)+Y(i)*dcos(-aSiCSi+0.517*rad)
	enddo



c     Start of Branch 3
c	Define first SiMe2H group
c	Set C(63) at the origin
      X(63)=0.0
      Y(63)=0.0
      Z(63)=0.0

c     Set H(64) in x-y plane
      X(64)=rCH*dcos(aSiCH)
      Y(64)=rCH*dsin(aSiCH)
      Z(64)=0.0
      
c     generate Me group around C(63)
      Do i=1,2
      X(64+i)=X(64)
      Y(64+i)=Y(64)*dcos(120.*i*rad)-Z(64)*dsin(120.*i*rad)
      Z(64+i)=Y(64)*dsin(120.*i*rad)+Z(64)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=42,45
      X(25+i)=X(21+i)
      Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=63,66
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=67,70
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(71) to origin
      X(71)=0.0
      Y(71)=0.0
      Z(71)=0.0
      
c     Move 1st Me group away from Si(71)
      Do i=63,66
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(30)
      Do i=67,70
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(72) in x-y plane
      X(72)=(rSiH)*dcos(aCSiH1-0.4*rad)
      Y(72)=(rSiH)*dsin(aCSiH1-0.4*rad)
      Z(72)=0.0
 
c     Bend methyl group 1 into position
      Do i=63,66
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=67,70
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(71)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d5)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d6)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=63,66
      A=Y(i)
      Y(i)=A*dcos(d5)-Z(i)*dsin(d5)
      Z(i)=A*dsin(d5)+Z(i)*dcos(d5)
      enddo

      do i=67,70
      A=Y(i)
      Y(i)=A*dcos(-d6)-Z(i)*dsin(-d6)
      Z(i)=A*dsin(-d6)+Z(i)*dcos(-d6)
      enddo


c     Move origin to C(52)
      X(52)=0.0
      Y(52)=0.0
      Z(52)=0.0

      Do i=63,72
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 3 and branch 1.
	Do i=63,72
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi5)-Z(i)*dsin(dHSiCSi5))
	Z(i)=A*dsin(dHSiCSi5)+Z(i)*dcos(dHSiCSi5)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=63,72
	A=X(i)
      X(i)=A*dcos(-aSiCSi+2.0*rad)-Y(i)*dsin(-aSiCSi+2.0*rad)
      Y(i)=A*dsin(-aSiCSi+2.0*rad)+Y(i)*dcos(-aSiCSi+2.0*rad)
	enddo


c     Start of Branch 4
c     Define first SiMe2H group
c     Set C(73) at the origin
      X(73)=0.0
      Y(73)=0.0
      Z(73)=0.0

c     Set H(74) in x-y plane
      X(74)=rCH*dcos(aSiCH)
      Y(74)=rCH*dsin(aSiCH)
      Z(74)=0.0
      
c     generate Me group around C(73)
      Do i=1,2
      X(74+i)=X(74)
      Y(74+i)=Y(74)*dcos(120.*i*rad)-Z(74)*dsin(120.*i*rad)
      Z(74+i)=Y(74)*dsin(120.*i*rad)+Z(74)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(76+i)=X(72+i)
      Y(76+i)=Y(72+i)
      Z(76+i)=Z(72+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=73,76
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=77,80
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(81) to origin
      X(81)=0.0
      Y(81)=0.0
      Z(81)=0.0
      
c     Move 1st Me group away from Si(81)
      Do i=73,76
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(81)
      Do i=77,80
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(82) in x-y plane
      X(82)=(rSiH)*dcos(aCSiH1-0.2*rad)
      Y(82)=(rSiH)*dsin(aCSiH1-0.2*rad)
      Z(82)=0.0
  
c     Bend methyl group 1 into position
      Do i=73,76
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=77,80
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(71)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d7)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d8)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=73,76
      A=Y(i)
      Y(i)=A*dcos(d7)-Z(i)*dsin(d7)
      Z(i)=A*dsin(d7)+Z(i)*dcos(d7)
      enddo

      do i=77,80
      A=Y(i)
      Y(i)=A*dcos(-d8)-Z(i)*dsin(-d8)
      Z(i)=A*dsin(-d8)+Z(i)*dcos(-d8)
      enddo

c     Move origin to C(52)
      X(52)=0.0
      Y(52)=0.0
      Z(52)=0.0

      Do i=73,82
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 4 and branch 1.
	Do i=73,82
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi6)-Z(i)*dsin(dHSiCSi6))
	Z(i)=A*dsin(dHSiCSi6)+Z(i)*dcos(dHSiCSi6)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=73,82
	A=X(i)
      X(i)=A*dcos(-aSiCSi+1.7*rad)-Y(i)*dsin(-aSiCSi+1.7*rad)
      Y(i)=A*dsin(-aSiCSi+1.7*rad)+Y(i)*dcos(-aSiCSi+1.7*rad)
	enddo


c     Put 3rd and 4th branch in position by rotation around C(52)
c     Generate dihedral angles to move branches (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d9)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d10)

c     Move branches about x axis using dihedrals generated above
      do i=63,72
      A=Y(i)
      Y(i)=A*dcos(-d9)-Z(i)*dsin(-d9)
      Z(i)=A*dsin(-d9)+Z(i)*dcos(-d9)
      enddo

      do i=73,82
      A=Y(i)
      Y(i)=A*dcos(d10)-Z(i)*dsin(d10)
      Z(i)=A*dsin(d10)+Z(i)*dcos(d10)
      enddo

	do i=42,82
	X(i)=X(i)+10
	enddo

c	*****************************************************************************************
c	Start of Conformer 3 (6A) C1sym
c	******************************************************************************************
c     Start of branch 1
      do i=83,123
	X(i)=0.0
	Y(i)=0.0
	Z(i)=0.0
	enddo
     
c     Define first SiMe2H group
c     Set C(83) at the origin
      X(83)=0.0
      Y(83)=0.0
      Z(83)=0.0

c     Set H(84) in x-y plane
      X(84)=rCH*dcos(aSiCH)
      Y(84)=rCH*dsin(aSiCH)
      Z(84)=0.0
      
c     generate Me group around C(83)
      Do i=1,2
      X(84+i)=X(84)
      Y(84+i)=Y(84)*dcos(120.*i*rad)-Z(84)*dsin(120.*i*rad)
      Z(84+i)=Y(84)*dsin(120.*i*rad)+Z(84)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(86+i)=X(82+i)
      Y(86+i)=Y(82+i)
      Z(86+i)=Z(82+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=83,86
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=87,90
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(91) to origin
      X(91)=0.0
      Y(91)=0.0
      Z(91)=0.0
      
c     Move 1st Me group away from Si(91)
      Do i=83,86
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(91)
      Do i=87,90
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(92) in x-y plane
      X(92)=(rSiH)*dcos(aCSiH1-0.5*rad)
      Y(92)=(rSiH)*dsin(aCSiH1-0.5*rad)
      Z(92)=0.0
  
c     Bend methyl group 1 into position
      Do i=83,86
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=87,90
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(9)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d1)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=83,86
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=87,90
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(93)
      X(93)=0.0
      Y(93)=0.0
      Z(93)=0.0

      Do i=83,92
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 1 and branch 2.
	Do i=83,92
	A=Y(i)
	Y(i)=A*dcos(dHSiCSi7)-Z(i)*dsin(dHSiCSi7)
	Z(i)=-(A*dsin(dHSiCSi7)+Z(i)*dcos(dHSiCSi7))
	enddo



c     Start of branch 2
c     Define first SiMe2H group
c     Set C(94) at the origin
      X(94)=0.0
      Y(94)=0.0
      Z(94)=0.0

c     Set H(95) in x-y plane
      X(95)=rCH*dcos(aSiCH)
      Y(95)=rCH*dsin(aSiCH)
      Z(95)=0.0
      
c     generate Me group around C(94)
      Do i=1,2
      X(95+i)=X(95)
      Y(95+i)=Y(95)*dcos(120.*i*rad)-Z(95)*dsin(120.*i*rad)
      Z(95+i)=Y(95)*dsin(120.*i*rad)+Z(95)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=83,86
      X(15+i)=X(11+i)
      Y(15+i)=Y(11+i)
      Z(15+i)=Z(11+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=94,97
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=98,101
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(102) to origin
      X(102)=0.0
      Y(102)=0.0
      Z(102)=0.0
      
c     Move 1st Me group away from Si(102)
      Do i=94,97
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(102)
      Do i=98,101
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(103) in x-y plane
      X(103)=(rSiH)*dcos(aCSiH1-0.2*rad)
      Y(103)=(rSiH)*dsin(aCSiH1-0.2*rad)
      Z(103)=0.0
  
c     Bend methyl group 1 into position
      Do i=94,97
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=98,101
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(102)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d3)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d4)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=94,97
      A=Y(i)
      Y(i)=A*dcos(d3)-Z(i)*dsin(d3)
      Z(i)=A*dsin(d3)+Z(i)*dcos(d3)
      enddo

      do i=98,101
      A=Y(i)
      Y(i)=A*dcos(-d4)-Z(i)*dsin(-d4)
      Z(i)=A*dsin(-d4)+Z(i)*dcos(-d4)
      enddo

c     Move origin to C(93)
      X(93)=0.0
      Y(93)=0.0
      Z(93)=0.0

      Do i=94,103
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 2 and branch 1.
	Do i=94,103
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi8)-Z(i)*dsin(dHSiCSi8))
	Z(i)=A*dsin(dHSiCSi8)+Z(i)*dcos(dHSiCSi8)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=94,103
	A=X(i)
      X(i)=A*dcos(-aSiCSi+3.4*rad)-Y(i)*dsin(-aSiCSi+3.4*rad)
      Y(i)=A*dsin(-aSiCSi+3.4*rad)+Y(i)*dcos(-aSiCSi+3.4*rad)
	enddo



c     Start of Branch 3
c	Define first SiMe2H group
c	Set C(104) at the origin
      X(104)=0.0
      Y(104)=0.0
      Z(104)=0.0

c     Set H(105) in x-y plane
      X(105)=rCH*dcos(aSiCH)
      Y(105)=rCH*dsin(aSiCH)
      Z(105)=0.0
      
c     generate Me group around C(104)
      Do i=1,2
      X(105+i)=X(105)
      Y(105+i)=Y(105)*dcos(120.*i*rad)-Z(105)*dsin(120.*i*rad)
      Z(105+i)=Y(105)*dsin(120.*i*rad)+Z(105)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(107+i)=X(103+i)
      Y(107+i)=Y(103+i)
      Z(107+i)=Z(103+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=104,107
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=108,111
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(112) to origin
      X(112)=0.0
      Y(112)=0.0
      Z(112)=0.0
      
c     Move 1st Me group away from Si(112)
      Do i=104,107
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(112)
      Do i=108,111
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(113) in x-y plane
      X(113)=(rSiH)*dcos(aCSiH1-0.4*rad)
      Y(113)=(rSiH)*dsin(aCSiH1-0.4*rad)
      Z(113)=0.0
 
c     Bend methyl group 1 into position
      Do i=104,107
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo
c
c     Bend methyl group 2 into position
      Do i=108,111
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(112)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d5)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d6)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=104,107
      A=Y(i)
      Y(i)=A*dcos(d5)-Z(i)*dsin(d5)
      Z(i)=A*dsin(d5)+Z(i)*dcos(d5)
      enddo

      do i=108,111
      A=Y(i)
      Y(i)=A*dcos(-d6)-Z(i)*dsin(-d6)
      Z(i)=A*dsin(-d6)+Z(i)*dcos(-d6)
      enddo


c     Move origin to C(93)
      X(93)=0.0
      Y(93)=0.0
      Z(93)=0.0

      Do i=104,113
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 3 and branch 1.
	Do i=104,113
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi9)-Z(i)*dsin(dHSiCSi9))
	Z(i)=A*dsin(dHSiCSi9)+Z(i)*dcos(dHSiCSi9)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=104,113
	A=X(i)
      X(i)=A*dcos(-aSiCSi+1.8*rad)-Y(i)*dsin(-aSiCSi+1.8*rad)
      Y(i)=A*dsin(-aSiCSi+1.8*rad)+Y(i)*dcos(-aSiCSi+1.8*rad)
	enddo


c     Start of Branch 4
c     Define first SiMe2H group
c     Set C(114) at the origin
      X(114)=0.0
      Y(114)=0.0
      Z(114)=0.0

c     Set H(115) in x-y plane
      X(115)=rCH*dcos(aSiCH)
      Y(115)=rCH*dsin(aSiCH)
      Z(115)=0.0
      
c     generate Me group around C(114)
      Do i=1,2
      X(115+i)=X(115)
      Y(115+i)=Y(115)*dcos(120.*i*rad)-Z(115)*dsin(120.*i*rad)
      Z(115+i)=Y(115)*dsin(120.*i*rad)+Z(115)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(117+i)=X(113+i)
      Y(117+i)=Y(113+i)
      Z(117+i)=Z(113+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=114,117
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=118,121
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(122) to origin
      X(122)=0.0
      Y(122)=0.0
      Z(122)=0.0
      
c     Move 1st Me group away from Si(122)
      Do i=114,117
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(122)
      Do i=118,121
      X(i)=X(i)-(rCSi2)
      enddo
	
c     Set H(123) in x-y plane
      X(123)=(rSiH)*dcos(aCSiH1+0.1*rad)
      Y(123)=(rSiH)*dsin(aCSiH1+0.1*rad)
      Z(123)=0.0
  
c     Bend methyl group 1 into position
      Do i=114,117
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=118,121
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(112)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d7)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d8)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=114,117
      A=Y(i)
      Y(i)=A*dcos(d7)-Z(i)*dsin(d7)
      Z(i)=A*dsin(d7)+Z(i)*dcos(d7)
      enddo

      do i=118,121
      A=Y(i)
      Y(i)=A*dcos(-d8)-Z(i)*dsin(-d8)
      Z(i)=A*dsin(-d8)+Z(i)*dcos(-d8)
      enddo

c     Move origin to C(93)
      X(93)=0.0
      Y(93)=0.0
      Z(93)=0.0

      Do i=114,123
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 4 and branch 1.
	Do i=114,123
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi10)-Z(i)*dsin(dHSiCSi10))
	Z(i)=A*dsin(dHSiCSi10)+Z(i)*dcos(dHSiCSi10)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=114,123
	A=X(i)
      X(i)=A*dcos(-aSiCSi+0.6*rad)-Y(i)*dsin(-aSiCSi+0.6*rad)
      Y(i)=A*dsin(-aSiCSi+0.6*rad)+Y(i)*dcos(-aSiCSi+0.6*rad)
	enddo


c     Put 3rd and 4th branch in position by rotation around C(93)
c     Generate dihedral angles to move branches (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d9)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d10)

c     Move branches about x axis using dihedrals generated above
      do i=104,113
      A=Y(i)
      Y(i)=A*dcos(-d9)-Z(i)*dsin(-d9)
      Z(i)=A*dsin(-d9)+Z(i)*dcos(-d9)
      enddo

      do i=114,123
      A=Y(i)
      Y(i)=A*dcos(d10)-Z(i)*dsin(d10)
      Z(i)=A*dsin(d10)+Z(i)*dcos(d10)
      enddo
	
c	Move conformer 3 20 in X direction
	do i=83,123
	X(i)=X(i)+20
	enddo



c	*****************************************************************************************
c	Start of Conformer 4 (2A) C1sym
c	******************************************************************************************
c     Start of branch 1
      do i=124,164
	X(i)=0.0
	Y(i)=0.0
	Z(i)=0.0
	enddo
     
c     Define first SiMe2H group
c     Set C(124) at the origin
      X(124)=0.0
      Y(124)=0.0
      Z(124)=0.0

c     Set H(125) in x-y plane
      X(125)=rCH*dcos(aSiCH)
      Y(125)=rCH*dsin(aSiCH)
      Z(125)=0.0
      
c     generate Me group around C(124)
      Do i=1,2
      X(125+i)=X(125)
      Y(125+i)=Y(125)*dcos(120.*i*rad)-Z(125)*dsin(120.*i*rad)
      Z(125+i)=Y(125)*dsin(120.*i*rad)+Z(125)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(127+i)=X(123+i)
      Y(127+i)=Y(123+i)
      Z(127+i)=Z(123+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=124,127
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=128,131
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(132) to origin
      X(132)=0.0
      Y(132)=0.0
      Z(132)=0.0
      
c     Move 1st Me group away from Si(132)
      Do i=124,127
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(9)
      Do i=128,131
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(133) in x-y plane
      X(133)=(rSiH)*dcos(aCSiH1-0.4*rad)
      Y(133)=(rSiH)*dsin(aCSiH1-0.4*rad)
      Z(133)=0.0
  
c     Bend methyl group 1 into position
      Do i=124,127
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=128,131
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(132)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d1)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=124,127
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=128,131
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(134)
      X(134)=0.0
      Y(134)=0.0
      Z(134)=0.0

      Do i=124,133
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 1 and branch 2.
	Do i=124,133
	A=Y(i)
	Y(i)=A*dcos(dHSiCSi11)-Z(i)*dsin(dHSiCSi11)
	Z(i)=-(A*dsin(dHSiCSi11)+Z(i)*dcos(dHSiCSi11))
	enddo



c     Start of branch 2
c     Define first SiMe2H group
c     Set C(135) at the origin
      X(135)=0.0
      Y(135)=0.0
      Z(135)=0.0

c     Set H(136) in x-y plane
      X(136)=rCH*dcos(aSiCH)
      Y(136)=rCH*dsin(aSiCH)
      Z(136)=0.0
      
c     generate Me group around C(135)
      Do i=1,2
      X(136+i)=X(136)
      Y(136+i)=Y(136)*dcos(120.*i*rad)-Z(136)*dsin(120.*i*rad)
      Z(136+i)=Y(136)*dsin(120.*i*rad)+Z(136)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(138+i)=X(134+i)
      Y(138+i)=Y(134+i)
      Z(138+i)=Z(134+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=124,127
      A=Y(11+i)
      Y(11+i)=A*dcos(dH1CSiH)-Z(11+i)*dsin(dH1CSiH)
      Z(11+i)=A*dsin(dH1CSiH)+Z(11+i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=139,142
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(143) to origin
      X(143)=0.0
      Y(143)=0.0
      Z(143)=0.0
      
c     Move 1st Me group away from Si(143)
      Do i=135,138
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(143)
      Do i=139,142
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(144) in x-y plane
      X(144)=(rSiH)*dcos(aCSiH1-0.3*rad)
      Y(144)=(rSiH)*dsin(aCSiH1-0.3*rad)
      Z(144)=0.0
  
c     Bend methyl group 1 into position
      Do i=135,138
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=139,142
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(143)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d3)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d4)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=135,138
      A=Y(i)
      Y(i)=A*dcos(d3)-Z(i)*dsin(d3)
      Z(i)=A*dsin(d3)+Z(i)*dcos(d3)
      enddo

      do i=139,142
      A=Y(i)
      Y(i)=A*dcos(-d4)-Z(i)*dsin(-d4)
      Z(i)=A*dsin(-d4)+Z(i)*dcos(-d4)
      enddo

c     Move origin to C(134)
      X(134)=0.0
      Y(134)=0.0
      Z(134)=0.0

      Do i=135,144
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 2 and branch 1.
	Do i=135,144
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi12)-Z(i)*dsin(dHSiCSi12))
	Z(i)=A*dsin(dHSiCSi12)+Z(i)*dcos(dHSiCSi12)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=135,144
	A=X(i)
      X(i)=A*dcos(-aSiCSi+2.8*rad)-Y(i)*dsin(-aSiCSi+2.8*rad)
      Y(i)=A*dsin(-aSiCSi+2.8*rad)+Y(i)*dcos(-aSiCSi+2.8*rad)
	enddo



c     Start of Branch 3
c	Define first SiMe2H group
c	Set C(145) at the origin
      X(145)=0.0
      Y(145)=0.0
      Z(145)=0.0

c     Set H(146) in x-y plane
      X(146)=rCH*dcos(aSiCH)
      Y(146)=rCH*dsin(aSiCH)
      Z(146)=0.0
      
c     generate Me group around C(145)
      Do i=1,2
      X(146+i)=X(146)
      Y(146+i)=Y(146)*dcos(120.*i*rad)-Z(146)*dsin(120.*i*rad)
      Z(146+i)=Y(146)*dsin(120.*i*rad)+Z(146)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(148+i)=X(144+i)
      Y(148+i)=Y(144+i)
      Z(148+i)=Z(144+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=145,148
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=149,152
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(153) to origin
      X(153)=0.0
      Y(153)=0.0
      Z(153)=0.0
      
c     Move 1st Me group away from Si(153)
      Do i=145,148
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(153)
      Do i=149,152
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(154) in x-y plane
      X(154)=(rSiH)*dcos(aCSiH1-0.1*rad)
      Y(154)=(rSiH)*dsin(aCSiH1-0.1*rad)
      Z(154)=0.0
 
c     Bend methyl group 1 into position
      Do i=145,148
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=149,152
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(153)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d5)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d6)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=145,148
      A=Y(i)
      Y(i)=A*dcos(d5)-Z(i)*dsin(d5)
      Z(i)=A*dsin(d5)+Z(i)*dcos(d5)
      enddo

      do i=149,152
      A=Y(i)
      Y(i)=A*dcos(-d6)-Z(i)*dsin(-d6)
      Z(i)=A*dsin(-d6)+Z(i)*dcos(-d6)
      enddo


c     Move origin to C(134)
      X(134)=0.0
      Y(134)=0.0
      Z(134)=0.0

      Do i=145,154
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 3 and branch 1.
	Do i=145,154
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi13)-Z(i)*dsin(dHSiCSi13))
	Z(i)=A*dsin(dHSiCSi13)+Z(i)*dcos(dHSiCSi13)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=145,154
	A=X(i)
      X(i)=A*dcos(-aSiCSi+0.4*rad)-Y(i)*dsin(-aSiCSi+0.4*rad)
      Y(i)=A*dsin(-aSiCSi+0.4*rad)+Y(i)*dcos(-aSiCSi+0.4*rad)
	enddo


c     Start of Branch 4
c     Define first SiMe2H group
c     Set C(155) at the origin
      X(155)=0.0
      Y(155)=0.0
      Z(155)=0.0

c     Set H(156) in x-y plane
      X(156)=rCH*dcos(aSiCH)
      Y(156)=rCH*dsin(aSiCH)
      Z(156)=0.0
      
c     generate Me group around C(155)
      Do i=1,2
      X(156+i)=X(156)
      Y(156+i)=Y(156)*dcos(120.*i*rad)-Z(156)*dsin(120.*i*rad)
      Z(156+i)=Y(156)*dsin(120.*i*rad)+Z(156)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=1,4
      X(158+i)=X(154+i)
      Y(158+i)=Y(154+i)
      Z(158+i)=Z(154+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=155,158
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=159,162
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(163) to origin
      X(163)=0.0
      Y(163)=0.0
      Z(163)=0.0
      
c     Move 1st Me group away from Si(163)
      Do i=155,158
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(163)
      Do i=159,162
      X(i)=X(i)-(rCSi2)
      enddo
	
c     Set H(164) in x-y plane
      X(164)=(rSiH)*dcos(aCSiH1-0.1*rad)
      Y(164)=(rSiH)*dsin(aCSiH1-0.1*rad)
      Z(164)=0.0
  
c     Bend methyl group 1 into position
      Do i=155,158
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=159,162
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(153)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d7)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d8)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=155,158
      A=Y(i)
      Y(i)=A*dcos(d7)-Z(i)*dsin(d7)
      Z(i)=A*dsin(d7)+Z(i)*dcos(d7)
      enddo

      do i=159,162
      A=Y(i)
      Y(i)=A*dcos(-d8)-Z(i)*dsin(-d8)
      Z(i)=A*dsin(-d8)+Z(i)*dcos(-d8)
      enddo

c     Move origin to C(134)
      X(134)=0.0
      Y(134)=0.0
      Z(134)=0.0

      Do i=155,164
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 4 and branch 1.
	Do i=155,164
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi14)-Z(i)*dsin(dHSiCSi14))
	Z(i)=A*dsin(dHSiCSi14)+Z(i)*dcos(dHSiCSi14)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=155,164
	A=X(i)
      X(i)=A*dcos(-aSiCSi-0.2*rad)-Y(i)*dsin(-aSiCSi-0.2*rad)
      Y(i)=A*dsin(-aSiCSi-0.2*rad)+Y(i)*dcos(-aSiCSi-0.2*rad)
	enddo


c     Put 3rd and 4th branch in position by rotation around C(134)
c     Generate dihedral angles to move branches (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d9)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d10)

c     Move branches about x axis using dihedrals generated above
      do i=145,154
      A=Y(i)
      Y(i)=A*dcos(-d9)-Z(i)*dsin(-d9)
      Z(i)=A*dsin(-d9)+Z(i)*dcos(-d9)
      enddo

      do i=155,164
      A=Y(i)
      Y(i)=A*dcos(d10)-Z(i)*dsin(d10)
      Z(i)=A*dsin(d10)+Z(i)*dcos(d10)
      enddo

	Do i=124,164
	Y(i)=Y(i)-10
	enddo


cc	*****************************************************************************************
cc	Start of Conformer 5 (1A) D2sym
cc	******************************************************************************************

c     Set C(165) at the origin
      X(165)=0.0
      Y(165)=0.0
      Z(165)=0.0

c     Set H(166) in x-y plane
      X(166)=(rCH)*dcos(aSiCH)
      Y(166)=(rCH)*dsin(aSiCH)
      Z(166)=0.0
      
c     generate Me group around C(165)
      Do i=1,2
      X(166+i)=X(166)
      Y(166+i)=Y(166)*dcos(120.*i*rad)-Z(166)*dsin(120.*i*rad)
      Z(166+i)=Y(166)*dsin(120.*i*rad)+Z(166)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=165,168
      X(4+i)=X(i)
	Y(4+i)=Y(i)
      Z(4+i)=Z(i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=166,168
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=169,172
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo


c     Place Si(173) to origin
      X(173)=0.0
      Y(173)=0.0
      Z(173)=0.0
      
c     Move 1st Me group away from Si(173)
      Do i=165,168
      X(i)=X(i)-rCSi2
      enddo

c     Move 2nd Me group away from Si(173)
      Do i=169,172
      X(i)=X(i)-rCSi2
      enddo

c     Set H(174) in x-y plane
      X(174)=(rSiH)*dcos(aCSiH1-0.3*rad)
      Y(174)=(rSiH)*dsin(aCSiH1-0.3*rad)
      Z(174)=0.0
  
c     Bend methyl group 1 into position
      Do i=165,168
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=169,172
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(173)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=165,168
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=169,172
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo
c
c     Move origin to C(175)
      X(175)=0.0
      Y(175)=0.0
      Z(175)=0.0

      Do i=165,174
      X(i)=X(i)-rCSi1
      enddo

c	Create dihedral angle between H of branch 1 and branch 2.
	Do i=165,174
	A=Y(i)
	Y(i)=A*dcos(dHSiCSi15)-Z(i)*dsin(dHSiCSi15)
	Z(i)=-(A*dsin(dHSiCSi15)+Z(i)*dcos(dHSiCSi15))
	enddo


c	Place branch 2,3 and 4 on branch 1
	Do i=176,185
	X(i)=X(i-11)
	Y(i)=Y(i-11)
	Z(i)=Z(i-11)
	enddo

	Do i=186,195
	X(i)=X(i-21)
	Y(i)=Y(i-21)
	Z(i)=Z(i-21)
	enddo

	Do i=196,205
	X(i)=X(i-31)
	Y(i)=Y(i-31)
	Z(i)=Z(i-31)
	enddo

c	rotate around z by (angle between branch 1 and 3)/2
	do i=165,205
	A=X(i)
	X(i)=A*dcos((aSiCSi)/2)-Y(i)*dsin((aSiCSi)/2)
	Y(i)=A*dsin((aSiCSi)/2)+Y(i)*dcos((aSiCSi)/2)
	enddo

c	rotate around x by pi
	do i=176,185
	Y(i)=-Y(i)
	Z(i)=-Z(i)
	enddo

c	rotate around x by pi
	do i=196,205
	Y(i)=-Y(i)
	enddo

c	rotate around y by pi
	do i=186,205
	X(i)=-X(i)
	enddo

c	rotate around x by pi/2
	do i=186,195
	Z(i)=Y(i-10)
	Y(i)=Z(i-10)
	enddo

c	rotate around x by pi/2
	do i=196,205
	Z(i)=Y(i-31)
	Y(i)=Z(i-31)
	enddo

c	Move conformer 5 10 up x-axis, 10 down Y
	Do i=165,205
	X(i)=X(i)+10
	Y(i)=Y(i)-10
	enddo

c	******************************
c	Conformer 6 (12A) C1sym
c	******************************
c     Start of branch 1
      do i=206,246
	X(i)=0.0
	Y(i)=0.0
	Z(i)=0.0
	enddo
     
c     Define first SiMe2H group
c     Set C(206) at the origin
      X(206)=0.0
      Y(206)=0.0
      Z(206)=0.0

c     Set H(207) in x-y plane
      X(207)=rCH*dcos(aSiCH)
      Y(207)=rCH*dsin(aSiCH)
      Z(207)=0.0
      
c     generate Me group around C(206)
      Do i=1,2
      X(207+i)=X(207)
      Y(207+i)=Y(207)*dcos(120.*i*rad)-Z(207)*dsin(120.*i*rad)
      Z(207+i)=Y(207)*dsin(120.*i*rad)+Z(207)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=206,209
      X(4+i)=X(i)
      Y(4+i)=Y(i)
      Z(4+i)=Z(i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=206,209
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=210,213
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(214) to origin
      X(214)=0.0
      Y(214)=0.0
      Z(214)=0.0
      
c     Move 1st Me group away from Si(214)
      Do i=206,209
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(214)
      Do i=210,213
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(215) in x-y plane
      X(215)=(rSiH)*dcos(aCSiH1+0.3*rad)
      Y(215)=(rSiH)*dsin(aCSiH1+0.3*rad)
      Z(215)=0.0
  
c     Bend methyl group 1 into position
      Do i=206,209
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=210,213
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(214)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d1)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=206,209
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=210,213
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(216)
      X(216)=0.0
      Y(216)=0.0
      Z(216)=0.0

      Do i=206,215
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 1 and branch 2.
	Do i=206,215
	A=Y(i)
	Y(i)=A*dcos(dHSiCSi16)-Z(i)*dsin(dHSiCSi16)
	Z(i)=-(A*dsin(dHSiCSi16)+Z(i)*dcos(dHSiCSi16))
	enddo

c     Start of branch 2
c     Define first SiMe2H group
c     Set C(217) at the origin
      X(217)=0.0
      Y(217)=0.0
      Z(217)=0.0

c     Set H(218) in x-y plane
      X(218)=rCH*dcos(aSiCH)
      Y(218)=rCH*dsin(aSiCH)
      Z(218)=0.0
      
c     generate Me group around C(217)
      Do i=1,2
      X(218+i)=X(218)
      Y(218+i)=Y(218)*dcos(120.*i*rad)-Z(218)*dsin(120.*i*rad)
      Z(218+i)=Y(218)*dsin(120.*i*rad)+Z(218)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=206,209
      X(15+i)=X(11+i)
      Y(15+i)=Y(11+i)
      Z(15+i)=Z(11+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=206,209
      A=Y(11+i)
      Y(11+i)=A*dcos(dH1CSiH)-Z(11+i)*dsin(dH1CSiH)
      Z(11+i)=A*dsin(dH1CSiH)+Z(11+i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=221,224
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(225) to origin
      X(225)=0.0
      Y(225)=0.0
      Z(225)=0.0
      
c     Move 1st Me group away from Si(225)
      Do i=217,220
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(225)
      Do i=221,224
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(226) in x-y plane
      X(226)=(rSiH)*dcos(aCSiH1+0.2*rad)
      Y(226)=(rSiH)*dsin(aCSiH1+0.2*rad)
      Z(226)=0.0
  
c     Bend methyl group 1 into position
      Do i=217,220
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=221,224
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(225)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d3)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d4)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=217,220
      A=Y(i)
      Y(i)=A*dcos(d3)-Z(i)*dsin(d3)
      Z(i)=A*dsin(d3)+Z(i)*dcos(d3)
      enddo

      do i=221,224
      A=Y(i)
      Y(i)=A*dcos(-d4)-Z(i)*dsin(-d4)
      Z(i)=A*dsin(-d4)+Z(i)*dcos(-d4)
      enddo

c     Move origin to C(216)
      X(216)=0.0
      Y(216)=0.0
      Z(216)=0.0

      Do i=217,226
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 2 and branch 1.
	Do i=217,226
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi17)-Z(i)*dsin(dHSiCSi17))
	Z(i)=A*dsin(dHSiCSi17)+Z(i)*dcos(dHSiCSi17)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=217,226
	A=X(i)
      X(i)=A*dcos(-aSiCSi-1.6*rad)-Y(i)*dsin(-aSiCSi-1.6*rad)
      Y(i)=A*dsin(-aSiCSi-1.6*rad)+Y(i)*dcos(-aSiCSi-1.6*rad)
	enddo



c     Start of Branch 3
c	Define first SiMe2H group
c	Set C(227) at the origin
      X(227)=0.0
      Y(227)=0.0
      Z(227)=0.0

c     Set H(228) in x-y plane
      X(228)=rCH*dcos(aSiCH)
      Y(228)=rCH*dsin(aSiCH)
      Z(228)=0.0
      
c     generate Me group around C(227)
      Do i=1,2
      X(228+i)=X(228)
      Y(228+i)=Y(228)*dcos(120.*i*rad)-Z(228)*dsin(120.*i*rad)
      Z(228+i)=Y(228)*dsin(120.*i*rad)+Z(228)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=206,209
      X(25+i)=X(21+i)
      Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=227,230
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=231,234
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(235) to origin
      X(235)=0.0
      Y(235)=0.0
      Z(235)=0.0
      
c     Move 1st Me group away from Si(235)
      Do i=227,230
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(235)
      Do i=231,234
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(236) in x-y plane
      X(236)=(rSiH)*dcos(aCSiH1-0.5*rad)
      Y(236)=(rSiH)*dsin(aCSiH1-0.5*rad)
      Z(236)=0.0
 
c     Bend methyl group 1 into position
      Do i=227,230
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=231,234
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(235)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d5)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d6)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=227,230
      A=Y(i)
      Y(i)=A*dcos(d5)-Z(i)*dsin(d5)
      Z(i)=A*dsin(d5)+Z(i)*dcos(d5)
      enddo

      do i=231,234
      A=Y(i)
      Y(i)=A*dcos(-d6)-Z(i)*dsin(-d6)
      Z(i)=A*dsin(-d6)+Z(i)*dcos(-d6)
      enddo


c     Move origin to C(216)
      X(216)=0.0
      Y(216)=0.0
      Z(216)=0.0

      Do i=227,236
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 3 and branch 1.
	Do i=227,236
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi18)-Z(i)*dsin(dHSiCSi18))
	Z(i)=A*dsin(dHSiCSi18)+Z(i)*dcos(dHSiCSi18)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=227,236
	A=X(i)
      X(i)=A*dcos(-aSiCSi+1.4*rad)-Y(i)*dsin(-aSiCSi+1.4*rad)
      Y(i)=A*dsin(-aSiCSi+1.4*rad)+Y(i)*dcos(-aSiCSi+1.4*rad)
	enddo


c     Start of Branch 4
c     Define first SiMe2H group
c     Set C(237) at the origin
      X(237)=0.0
      Y(237)=0.0
      Z(237)=0.0

c     Set H(238) in x-y plane
      X(238)=rCH*dcos(aSiCH)
      Y(238)=rCH*dsin(aSiCH)
      Z(238)=0.0
      
c     generate Me group around C(237)
      Do i=1,2
      X(238+i)=X(238)
      Y(238+i)=Y(238)*dcos(120.*i*rad)-Z(238)*dsin(120.*i*rad)
      Z(238+i)=Y(238)*dsin(120.*i*rad)+Z(238)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=206,209
      X(35+i)=X(31+i)
      Y(35+i)=Y(31+i)
      Z(35+i)=Z(31+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=237,240
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=241,244
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(40) to origin
      X(245)=0.0
      Y(245)=0.0
      Z(245)=0.0
      
c     Move 1st Me group away from Si(245)
      Do i=237,240
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(245)
      Do i=241,244
      X(i)=X(i)-(rCSi2)
      enddo
	
c     Set H(246) in x-y plane
      X(246)=(rSiH)*dcos(aCSiH1-0.4*rad)
      Y(246)=(rSiH)*dsin(aCSiH1-0.4*rad)
      Z(246)=0.0
 
c     Bend methyl group 1 into position
      Do i=237,240
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=241,244
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(235)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d7)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d8)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=237,240
      A=Y(i)
      Y(i)=A*dcos(d7)-Z(i)*dsin(d7)
      Z(i)=A*dsin(d7)+Z(i)*dcos(d7)
      enddo

      do i=241,244
      A=Y(i)
      Y(i)=A*dcos(-d8)-Z(i)*dsin(-d8)
      Z(i)=A*dsin(-d8)+Z(i)*dcos(-d8)
      enddo

c     Move origin to C(216)
      X(216)=0.0
      Y(216)=0.0
      Z(216)=0.0

      Do i=237,246
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 4 and branch 1.
	Do i=237,246
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi19)-Z(i)*dsin(dHSiCSi19))
	Z(i)=A*dsin(dHSiCSi19)+Z(i)*dcos(dHSiCSi19)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=237,246
	A=X(i)
      X(i)=A*dcos(-aSiCSi+1.4*rad)-Y(i)*dsin(-aSiCSi+1.4*rad)
      Y(i)=A*dsin(-aSiCSi+1.4*rad)+Y(i)*dcos(-aSiCSi+1.4*rad)
	enddo


c     Put 3rd and 4th branch in position by rotation around C(216)
c     Generate dihedral angles to move branches (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d9)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d10)

c     Move branches about x axis using dihedrals generated above
      do i=227,236
      A=Y(i)
      Y(i)=A*dcos(-d9)-Z(i)*dsin(-d9)
      Z(i)=A*dsin(-d9)+Z(i)*dcos(-d9)
      enddo

      do i=237,246
      A=Y(i)
      Y(i)=A*dcos(d10)-Z(i)*dsin(d10)
      Z(i)=A*dsin(d10)+Z(i)*dcos(d10)
      enddo
c
	Do i=206,246
	X(i)=X(i)+20
	Y(i)=Y(i)-10
	enddo
c
c
c	******************************
c	Conformer 7 (16A) C1sym
c	******************************
c     Start of branch 1
      do i=247,287
	X(i)=0.0
	Y(i)=0.0
	Z(i)=0.0
	enddo
     
c     Define first SiMe2H group
c     Set C(247) at the origin
      X(247)=0.0
      Y(247)=0.0
      Z(247)=0.0

c     Set H(248) in x-y plane
      X(248)=rCH*dcos(aSiCH)
      Y(248)=rCH*dsin(aSiCH)
      Z(248)=0.0
      
c     generate Me group around C(247)
      Do i=1,2
      X(248+i)=X(248)
      Y(248+i)=Y(248)*dcos(120.*i*rad)-Z(248)*dsin(120.*i*rad)
      Z(248+i)=Y(248)*dsin(120.*i*rad)+Z(248)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=247,250
      X(4+i)=X(i)
      Y(4+i)=Y(i)
      Z(4+i)=Z(i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=247,250
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=251,254
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(255) to origin
      X(255)=0.0
      Y(255)=0.0
      Z(255)=0.0
      
c     Move 1st Me group away from Si(256)
      Do i=247,250
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(256)
      Do i=251,254
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(256) in x-y plane
      X(256)=(rSiH)*dcos(aCSiH1+0.0*rad)
      Y(256)=(rSiH)*dsin(aCSiH1+0.0*rad)
      Z(256)=0.0
  
c     Bend methyl group 1 into position
      Do i=247,250
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=251,254
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(255)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d1)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=247,250
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=251,254
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(257)
      X(257)=0.0
      Y(257)=0.0
      Z(257)=0.0

      Do i=247,256
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 1 and branch 2.
	Do i=247,256
	A=Y(i)
	Y(i)=A*dcos(dHSiCSi20)-Z(i)*dsin(dHSiCSi20)
	Z(i)=-(A*dsin(dHSiCSi20)+Z(i)*dcos(dHSiCSi20))
	enddo



c     Start of branch 2
c     Define first SiMe2H group
c     Set C(258) at the origin
      X(258)=0.0
      Y(258)=0.0
      Z(258)=0.0

c     Set H(259) in x-y plane
	X(259)=rCH*dcos(aSiCH)
      Y(259)=rCH*dsin(aSiCH)
      Z(259)=0.0
      
c     generate Me group around C(258)
      Do i=1,2
      X(259+i)=X(259)
      Y(259+i)=Y(259)*dcos(120.*i*rad)-Z(259)*dsin(120.*i*rad)
      Z(259+i)=Y(259)*dsin(120.*i*rad)+Z(259)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=247,250
      X(15+i)=X(11+i)
      Y(15+i)=Y(11+i)
      Z(15+i)=Z(11+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=247,250
      A=Y(11+i)
      Y(11+i)=A*dcos(dH1CSiH)-Z(11+i)*dsin(dH1CSiH)
      Z(11+i)=A*dsin(dH1CSiH)+Z(11+i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=262,265
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(266) to origin
      X(266)=0.0
      Y(266)=0.0
      Z(266)=0.0
      
c     Move 1st Me group away from Si(266)
      Do i=258,261
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(266)
      Do i=262,265
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(267) in x-y plane
      X(267)=(rSiH)*dcos(aCSiH1-1.0*rad)
      Y(267)=(rSiH)*dsin(aCSiH1-1.0*rad)
      Z(267)=0.0
  
c     Bend methyl group 1 into position
      Do i=258,261
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=262,265
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(266)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d3)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d4)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=258,261
      A=Y(i)
      Y(i)=A*dcos(d3)-Z(i)*dsin(d3)
      Z(i)=A*dsin(d3)+Z(i)*dcos(d3)
      enddo

      do i=262,265
      A=Y(i)
      Y(i)=A*dcos(-d4)-Z(i)*dsin(-d4)
      Z(i)=A*dsin(-d4)+Z(i)*dcos(-d4)
      enddo

c     Move origin to C(257)
      X(257)=0.0
      Y(257)=0.0
      Z(257)=0.0

      Do i=258,267
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 2 and branch 1.
	Do i=258,267
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi21)-Z(i)*dsin(dHSiCSi21))
	Z(i)=A*dsin(dHSiCSi21)+Z(i)*dcos(dHSiCSi21)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=258,267
	A=X(i)
      X(i)=A*dcos(-aSiCSi-1.4*rad)-Y(i)*dsin(-aSiCSi-1.4*rad)
      Y(i)=A*dsin(-aSiCSi-1.4*rad)+Y(i)*dcos(-aSiCSi-1.4*rad)
	enddo



c     Start of Branch 3
c	Define first SiMe2H group
c	Set C(268) at the origin
      X(268)=0.0
      Y(268)=0.0
      Z(268)=0.0

c     Set H(269) in x-y plane
      X(269)=rCH*dcos(aSiCH)
      Y(269)=rCH*dsin(aSiCH)
      Z(269)=0.0
      
c     generate Me group around C(268)
      Do i=1,2
      X(269+i)=X(269)
      Y(269+i)=Y(269)*dcos(120.*i*rad)-Z(269)*dsin(120.*i*rad)
      Z(269+i)=Y(269)*dsin(120.*i*rad)+Z(269)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=247,250
      X(25+i)=X(21+i)
      Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=268,271
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=272,275
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(276) to origin
      X(276)=0.0
      Y(276)=0.0
      Z(276)=0.0
      
c     Move 1st Me group away from Si(276)
      Do i=268,271
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(276)
      Do i=272,275
      X(i)=X(i)-(rCSi2)
      enddo

c     Set H(277) in x-y plane
      X(277)=(rSiH)*dcos(aCSiH1-1.0*rad)
      Y(277)=(rSiH)*dsin(aCSiH1-1.0*rad)
      Z(277)=0.0
 
c     Bend methyl group 1 into position
      Do i=268,271
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=272,275
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(276)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d5)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d6)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=268,271
      A=Y(i)
      Y(i)=A*dcos(d5)-Z(i)*dsin(d5)
      Z(i)=A*dsin(d5)+Z(i)*dcos(d5)
      enddo

      do i=272,275
      A=Y(i)
      Y(i)=A*dcos(-d6)-Z(i)*dsin(-d6)
      Z(i)=A*dsin(-d6)+Z(i)*dcos(-d6)
      enddo


c     Move origin to C(257)
      X(257)=0.0
      Y(257)=0.0
      Z(257)=0.0

      Do i=268,277
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 3 and branch 1.
	Do i=268,277
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi22)-Z(i)*dsin(dHSiCSi22))
	Z(i)=A*dsin(dHSiCSi22)+Z(i)*dcos(dHSiCSi22)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=268,277
	A=X(i)
      X(i)=A*dcos(-aSiCSi-1.8*rad)-Y(i)*dsin(-aSiCSi-1.8*rad)
      Y(i)=A*dsin(-aSiCSi-1.8*rad)+Y(i)*dcos(-aSiCSi-1.8*rad)
	enddo


c     Start of Branch 4
c     Define first SiMe2H group
c     Set C(278) at the origin
      X(278)=0.0
      Y(278)=0.0
      Z(278)=0.0

c     Set H(279) in x-y plane
      X(279)=rCH*dcos(aSiCH)
      Y(279)=rCH*dsin(aSiCH)
      Z(279)=0.0
      
c     generate Me group around C(278)
      Do i=1,2
      X(279+i)=X(279)
      Y(279+i)=Y(279)*dcos(120.*i*rad)-Z(279)*dsin(120.*i*rad)
      Z(279+i)=Y(279)*dsin(120.*i*rad)+Z(279)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=247,250
      X(35+i)=X(31+i)
      Y(35+i)=Y(31+i)
      Z(35+i)=Z(31+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=278,281
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=282,285
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(286) to origin
      X(286)=0.0
      Y(286)=0.0
      Z(286)=0.0
      
c     Move 1st Me group away from Si(286)
      Do i=278,281
      X(i)=X(i)-(rCSi2)
      enddo

c     Move 2nd Me group away from Si(286)
      Do i=282,285
      X(i)=X(i)-(rCSi2)
      enddo
	
c     Set H(287) in x-y plane
      X(287)=(rSiH)*dcos(aCSiH1-0.9*rad)
      Y(287)=(rSiH)*dsin(aCSiH1-0.9*rad)
      Z(287)=0.0
  
c     Bend methyl group 1 into position
      Do i=278,281
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=282,285
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(276)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d7)
      call DihedralFromBeta((rCSi1),(rCSi1),
     +(aCSiH2),aCSiH1,aCSiC1,d8)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=278,281
      A=Y(i)
      Y(i)=A*dcos(d7)-Z(i)*dsin(d7)
      Z(i)=A*dsin(d7)+Z(i)*dcos(d7)
      enddo

      do i=282,285
      A=Y(i)
      Y(i)=A*dcos(-d8)-Z(i)*dsin(-d8)
      Z(i)=A*dsin(-d8)+Z(i)*dcos(-d8)
      enddo

c     Move origin to C(257)
      X(257)=0.0
      Y(257)=0.0
      Z(257)=0.0

      Do i=278,287
      X(i)=X(i)-(rCSi1)
      enddo

c	Create dihedral angle between H of branch 4 and branch 1.
	Do i=278,287
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi23)-Z(i)*dsin(dHSiCSi23))
	Z(i)=A*dsin(dHSiCSi23)+Z(i)*dcos(dHSiCSi23)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=278,287
	A=X(i)
      X(i)=A*dcos(-aSiCSi-3.8*rad)-Y(i)*dsin(-aSiCSi-3.8*rad)
      Y(i)=A*dsin(-aSiCSi-3.8*rad)+Y(i)*dcos(-aSiCSi-3.8*rad)
	enddo


c     Put 3rd and 4th branch in position by rotation around C(257)
c     Generate dihedral angles to move branches (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d9)
      call DihedralFromBeta(rCSi1,rCSi1,aSiCSi,aSiCSi,aSiCSi,d10)

c     Move branches about x axis using dihedrals generated above
      do i=268,277
      A=Y(i)
      Y(i)=A*dcos(-d9)-Z(i)*dsin(-d9)
      Z(i)=A*dsin(-d9)+Z(i)*dcos(-d9)
      enddo

      do i=278,287
      A=Y(i)
      Y(i)=A*dcos(d10)-Z(i)*dsin(d10)
      Z(i)=A*dsin(d10)+Z(i)*dcos(d10)
      enddo

	do i=247,287
	Y(i)=Y(i)-20
	enddo
c
c	******************************
c	Conformer 8 (13A) C2sym
c	******************************

c     Set C(288) at the origin
      X(288)=0.0
      Y(288)=0.0
      Z(288)=0.0

c     Set H(289) in x-y plane
      X(289)=(rCH)*dcos(aSiCH)
      Y(289)=(rCH)*dsin(aSiCH)
      Z(289)=0.0
      
c     generate Me group around C(288)
      Do i=1,2
      X(289+i)=X(289)
      Y(289+i)=Y(289)*dcos(120.*i*rad)-Z(289)*dsin(120.*i*rad)
      Z(289+i)=Y(289)*dsin(120.*i*rad)+Z(289)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=277,280
      X(15+i)=X(11+i)
	Y(15+i)=Y(11+i)
      Z(15+i)=Z(11+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=288,291
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=292,295
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo


c     Place Si(296) to origin
      X(296)=0.0
      Y(296)=0.0
      Z(296)=0.0
      
c     Move 1st Me group away from Si(296)
      Do i=288,291
      X(i)=X(i)-rCSi2
      enddo

c     Move 2nd Me group away from Si(296)
      Do i=292,295
      X(i)=X(i)-rCSi2
      enddo

c     Set H(297) in x-y plane
      X(297)=(rSiH)*dcos(aCSiH1-0.4*rad)
      Y(297)=(rSiH)*dsin(aCSiH1-0.4*rad)
      Z(297)=0.0
  
c     Bend methyl group 1 into position
      Do i=288,291
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=292,295
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(296)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=288,291
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=292,295
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo

c     Move origin to C(298)
      X(298)=0.0
      Y(298)=0.0
      Z(298)=0.0

      Do i=288,297
      X(i)=X(i)-rCSi1
      enddo

c	Create dihedral angle between H of branch 1 and branch 2.
	Do i=288,297
	A=Y(i)
	Y(i)=A*dcos(dHSiCSi24)-Z(i)*dsin(dHSiCSi24)
	Z(i)=-(A*dsin(dHSiCSi24)+Z(i)*dcos(dHSiCSi24))
	enddo




c     Start of Branch 2
c	Define first SiMe2H group
c	Set C(299) at the origin
      X(299)=0.0
      Y(299)=0.0
      Z(299)=0.0

c     Set H(300) in x-y plane
      X(300)=rCH*dcos(aSiCH)
      Y(300)=rCH*dsin(aSiCH)
      Z(300)=0.0
      
c     generate Me group around C(299)
      Do i=1,2
      X(300+i)=X(300)
      Y(300+i)=Y(300)*dcos(120.*i*rad)-Z(300)*dsin(120.*i*rad)
      Z(300+i)=Y(300)*dsin(120.*i*rad)+Z(300)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=278,281
      X(25+i)=X(21+i)
	Y(25+i)=Y(21+i)
      Z(25+i)=Z(21+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=299,302
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=303,306
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(307) to origin
      X(307)=0.0
      Y(307)=0.0
      Z(307)=0.0
      
c     Move 1st Me group away from Si(307)
      Do i=299,302
      X(i)=X(i)-rCSi2
      enddo

c     Move 2nd Me group away from Si(307)
      Do i=303,306
      X(i)=X(i)-rCSi2
      enddo

c     Set H(308) in x-y plane
      X(308)=(rSiH)*dcos(aCSiH1+0.0*rad)
      Y(308)=(rSiH)*dsin(aCSiH1+0.0*rad)
      Z(308)=0.0
 
c     Bend methyl group 1 into position
      Do i=299,302
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=303,306
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(307)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=299,302
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=303,306
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(298)
      X(298)=0.0
      Y(298)=0.0
      Z(298)=0.0

      Do i=299,308
      X(i)=X(i)-rCSi1
      enddo

c	Create dihedral angle between H of branch 2 and branch 1.
	Do i=299,308
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi25)-Z(i)*dsin(dHSiCSi25))
	Z(i)=A*dsin(dHSiCSi25)+Z(i)*dcos(dHSiCSi25)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=299,308
	A=X(i)
      X(i)=A*dcos(-aSiCSi+1.3*rad)-Y(i)*dsin(-aSiCSi+1.3*rad)
      Y(i)=A*dsin(-aSiCSi+1.3*rad)+Y(i)*dcos(-aSiCSi+1.3*rad)
	enddo

c	rotate around z by (angle between branch 1 and 3)/2
	do i=288,328
	A=X(i)
	X(i)=A*dcos((aSiCSi+0.6*rad)/2)-Y(i)*dsin((aSiCSi+0.6*rad)/2)
	Y(i)=A*dsin((aSiCSi+0.6*rad)/2)+Y(i)*dcos((aSiCSi+0.6*rad)/2)
	enddo

c	Place atoms 319-328 on 288-297 
	do i=319,328
	X(i)=X(i-31)
	Y(i)=Y(i-31)
	Z(i)=Z(i-31)
	enddo

c	 309-318 on 299-308
	Do i=309,318
	X(i)=X(i-10)
	Y(i)=Y(i-10)
	Z(i)=Z(i-10)
	enddo

c	Rotate around Y axis by pi
	do i=309,318
	X(i)=-X(i)
	Z(i)=-Z(i)
	enddo

c	Rotate around y axis by pi
	do i=319,328
	X(i)=-X(i)
	Z(i)=-Z(i)
	enddo


c	Rotate branch 3 and 4 about x axis by pi/2
	do i=309,318
	A=Y(i)
	Y(i)=A*dcos(pi/2)+Z(i)*dsin(pi/2)
	Z(i)=-A*dsin(pi/2)+Z(i)*dcos(pi/2)
	enddo

	do i=319,328
	A=Y(i)
	Y(i)=A*dcos(pi/2)+Z(i)*dsin(pi/2)
	Z(i)=-A*dsin(pi/2)+Z(i)*dcos(pi/2)
	enddo

	Do i=288,328
	X(i)=X(i)+10
	Y(i)=Y(i)-20
	enddo

c	******************************
cc	Conformer 9 (5A) C2sym
cc	******************************
c
c     Set C(329) at the origin
      X(329)=0.0
      Y(329)=0.0
      Z(329)=0.0

c     Set H(330) in x-y plane
      X(330)=(rCH)*dcos(aSiCH)
      Y(330)=(rCH)*dsin(aSiCH)
      Z(330)=0.0
      
c     generate Me group around C(329)
      Do i=1,2
      X(330+i)=X(330)
      Y(330+i)=Y(330)*dcos(120.*i*rad)-Z(330)*dsin(120.*i*rad)
      Z(330+i)=Y(330)*dsin(120.*i*rad)+Z(330)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=328,331
      X(5+i)=X(1+i)
	Y(5+i)=Y(1+i)
      Z(5+i)=Z(1+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=329,332
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=333,336
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(337) to origin
      X(337)=0.0
      Y(337)=0.0
      Z(337)=0.0
      
c     Move 1st Me group away from Si(337)
      Do i=329,332
      X(i)=X(i)-rCSi2
      enddo

c     Move 2nd Me group away from Si(337)
      Do i=333,336
      X(i)=X(i)-rCSi2
      enddo

c     Set H(338) in x-y plane
      X(338)=(rSiH)*dcos(aCSiH1-0.6*rad)
      Y(338)=(rSiH)*dsin(aCSiH1-0.6*rad)
      Z(338)=0.0
  
c     Bend methyl group 1 into position
      Do i=329,332
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=333,336
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(337)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d2)

c     Move methyl groups about x axis using dihedrals generated above
      do i=329,332
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=333,336
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo
c
c     Move origin to C(339)
      X(339)=0.0
      Y(339)=0.0
      Z(339)=0.0

      Do i=329,338
      X(i)=X(i)-rCSi1
      enddo

c	Create dihedral angle between H of branch 1 and branch 3.
	Do i=329,338
	A=Y(i)
	Y(i)=A*dcos(dHSiCSi26)-Z(i)*dsin(dHSiCSi26)
	Z(i)=-(A*dsin(dHSiCSi26)+Z(i)*dcos(dHSiCSi26))
	enddo


c     Start of Branch 3
c	Define first SiMe2H group
c	Set C(350) at the origin
      X(350)=0.0
      Y(350)=0.0
      Z(350)=0.0

c     Set H(351) in x-y plane
      X(351)=rCH*dcos(aSiCH)
      Y(351)=rCH*dsin(aSiCH)
      Z(351)=0.0
      
c     generate Me group around C(350)
      Do i=1,2
      X(351+i)=X(351)
      Y(351+i)=Y(351)*dcos(120.*i*rad)-Z(351)*dsin(120.*i*rad)
      Z(351+i)=Y(351)*dsin(120.*i*rad)+Z(351)*dcos(120.*i*rad)
      enddo

c     Generate 2nd Me group in same position as 1st
      Do i=349,352
      X(5+i)=X(1+i)
	Y(5+i)=Y(1+i)
      Z(5+i)=Z(1+i)
      enddo

c     now twist 1st Me group (about x-axis)
      Do i=350,353
      A=Y(i)
      Y(i)=A*dcos(dH1CSiH)-Z(i)*dsin(dH1CSiH)
      Z(i)=A*dsin(dH1CSiH)+Z(i)*dcos(dH1CSiH)   
      enddo

c     now twist 2nd Me group (about x-axis)
      Do i=354,357
      A=Y(i)
      Y(i)=A*dcos(dH2CSiH)-Z(i)*dsin(dH2CSiH)
      Z(i)=A*dsin(dH2CSiH)+Z(i)*dcos(dH2CSiH)   
      enddo

c     Place Si(358) to origin
      X(358)=0.0
      Y(358)=0.0
      Z(358)=0.0
      
c     Move 1st Me group away from Si(358)
      Do i=350,353
      X(i)=X(i)-rCSi2
      enddo

c     Move 2nd Me group away from Si(358)
      Do i=354,357
      X(i)=X(i)-rCSi2
      enddo

c     Set H(359) in x-y plane
      X(359)=(rSiH)*dcos(aCSiH1-0.3*rad)
      Y(359)=(rSiH)*dsin(aCSiH1-0.3*rad)
      Z(359)=0.0
 
c     Bend methyl group 1 into position
      Do i=350,353
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Bend methyl group 2 into position
      Do i=354,357
      A=X(i)
      X(i)=A*dcos(aCSiC1+pi)-Y(i)*dsin(aCSiC1+pi)
      Y(i)=A*dsin(aCSiC1+pi)+Y(i)*dcos(aCSiC1+pi)
      enddo

c     Put 1st and 2nd Me in position by rotation around Si(358)
c     Generate dihedral angles to move methyl groups (SuBroutine)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d1)
      call DihedralFromBeta(rCSi1,rCSi1,aCSiH2,aCSiH1,aCSiC1,d2)
     
c     Move methyl groups about x axis using dihedrals generated above
      do i=350,353
      A=Y(i)
      Y(i)=A*dcos(d1)-Z(i)*dsin(d1)
      Z(i)=A*dsin(d1)+Z(i)*dcos(d1)
      enddo

      do i=354,357
      A=Y(i)
      Y(i)=A*dcos(-d2)-Z(i)*dsin(-d2)
      Z(i)=A*dsin(-d2)+Z(i)*dcos(-d2)
      enddo


c     Move origin to C(339)
      X(339)=0.0
      Y(339)=0.0
      Z(339)=0.0

      Do i=350,359
      X(i)=X(i)-rCSi1
      enddo

c	Create dihedral angle between H of branch 3 and branch 1.
	Do i=350,359
	A=Y(i)
	Y(i)=-(A*dcos(dHSiCSi27)-Z(i)*dsin(dHSiCSi27))
	Z(i)=A*dsin(dHSiCSi27)+Z(i)*dcos(dHSiCSi27)
	enddo

c	Move away from branch 1 by aSiCSi1
	do i=350,359
	A=X(i)
      X(i)=A*dcos(-aSiCSi+0.1*rad)-Y(i)*dsin(-aSiCSi+0.1*rad)
      Y(i)=A*dsin(-aSiCSi+0.1*rad)+Y(i)*dcos(-aSiCSi+0.1*rad)
	enddo

c	rotate around z by (angle between branch 1 and 3)/2
	do i=329,369
	A=X(i)
	X(i)=A*dcos((aSiCSi)/2)-Y(i)*dsin((aSiCSi)/2)
	Y(i)=A*dsin((aSiCSi)/2)+Y(i)*dcos((aSiCSi)/2)
	enddo

c	Place atoms 340-349 on 329-338 
	do i=340,349
	X(i)=X(i-11)
	Y(i)=Y(i-11)
	Z(i)=Z(i-11)
	enddo

c	 360-369 on 350-359
	Do i=360,369
	X(i)=X(i-10)
	Y(i)=Y(i-10)
	Z(i)=Z(i-10)
	enddo

c	Rotate about x-axis by (dSiCXSi)
	do i=340,349
	A=Y(i)
	Y(i)=A*dcos(pi/2)-Z(i)*dsin(pi/2)
	Z(i)=A*dsin(pi/2)+Z(i)*dcos(pi/2)
	enddo

c	Rotate about x-axis by (dSiCXSi)
	do i=360,369
	A=Y(i)
	Y(i)=A*dcos(pi/2)-Z(i)*dsin(pi/2)
	Z(i)=A*dsin(pi/2)+Z(i)*dcos(pi/2)
	enddo


c	Rotate branch 2 and 4 about y axis by pi
	do i=340,349
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo

	do i=360,369
	A=X(i)
	X(i)=A*dcos(pi)+Z(i)*dsin(pi)
	Z(i)=-A*dsin(pi)+Z(i)*dcos(pi)
	enddo

	do i=329,369
	X(i)=X(i)+20
	Y(i)=Y(i)-20
	enddo

c	do i=1,287
c	X(i)=X(i)+10
c	enddo
c
c	do i=329,369
c	X(i)=X(i)+10
c	enddo


c	Make numbering same as ab initio
	Do i=1,nAtom
	XA(qq(i))=X(i)
	YA(qq(i))=Y(i)
	ZA(qq(i))=Z(i)
	attypea(qq(i))=attype(i)
	enddo

	Do i=1,nAtom
	X(i)=XA(i)
	Y(i)=YA(i)
	Z(i)=ZA(i)
	attype(i)=attypea(i)
	enddo

c     Write the co-ordinates
	CALL writeXYZ('coord.xyz',nAtom,x,y,z,attype)

	RETURN
	END

c     Subroutine writeXYZ (ART 14/11/01)

c     Write out n atom labels and cartesian coordinates in standard
c     '.xyz' format. For viewing with eg. WebLab.

      SUBROUTINE writeXYZ(fileName,n,x,y,z,attype)
      IMPLICIT REAL*8(a-h,o-z)

c     Dummy arrays
       DIMENSION x(n),y(n),z(n)
         CHARACTER*2 attype(n)
      CHARACTER*60 fileName

c     Open the output file 
      OPEN(UNIT=100,FILE=fileName,FORM='FORMATTED',STATUS='UNKNOWN')

c     Write the headers
      WRITE(100,'(I3)') n
      WRITE(100,'(80A)') 'TITLE test for ed refinement model'
c     Write the atom lines
      DO i=1,n
      WRITE(100,1000) attype(i),x(i),y(i),z(i)
      END DO

c     Close the output file
      CLOSE(100)
      RETURN

 1000 FORMAT(A2,F9.4,F9.4,F9.4)
      END

	SUBROUTINE DihedralFromBeta(bondlen1,bondlen2,betaang,alpha1,
     + alpha2,dihedral)
      DOUBLEPRECISION term1,term2,term3,term4
	REAL*8 betaang,alpha1,alpha2,bondlen1,bondlen2,dihedral 
      term1=2*bondlen1*bondlen2*dcos(betaang)
      term2=2*bondlen1*bondlen2*dcos(alpha1)*dcos(alpha2)
      term3=dsqrt((bondlen1**2.)-(bondlen1**2.)*(dcos(alpha1)**2.))
      term4=dsqrt((bondlen2**2.)-(bondlen2**2.)*(dcos(alpha2)**2.))
	dihedral=dacos((term1-term2)/(2.*term3*term4))
	RETURN
      END      
